"use strict";

import commonHelper from "../helpers/common";
import DeviceService from "../services/device.services";
const { commonResponse } = new commonHelper();
export default class DeviceController {
  common: DeviceService;
  constructor() {
    this.common = new DeviceService();
    this.RegisterDevice = this.RegisterDevice.bind(this);
    this.GetAdvertisement = this.GetAdvertisement.bind(this);
    this.GetTranslateUser = this.GetTranslateUser.bind(this);
    this.GenerateUserQR = this.GenerateUserQR.bind(this);
    this.UpdateDeviceToken = this.UpdateDeviceToken.bind(this);
  }

  RegisterDevice(req, res) {
    this.common.RegisterDevice(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  GetAdvertisement(req, res) {
    this.common.GetAdvertisement(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  GetTranslateUser(req, res) {
    this.common.GetTranslateUser(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  GenerateUserQR(req, res) {
    this.common.GenerateUserQR(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  UpdateDeviceToken(req, res) {
    this.common.UpdateDeviceToken(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }
}