"use strict";

import commonHelper from "../helpers/common";
import UserService from "../services/user.services";
const { commonResponse } = new commonHelper();
export default class UserController {
  common: UserService;
  constructor() {
    this.common = new UserService();
    this.UserLogin = this.UserLogin.bind(this);
    this.UserRegister = this.UserRegister.bind(this);
    this.ActivateAccount = this.ActivateAccount.bind(this);
    this.ResendActivation = this.ResendActivation.bind(this);
    this.ForgotPassword = this.ForgotPassword.bind(this);
    this.ResetPassword = this.ResetPassword.bind(this);
    this.Logout = this.Logout.bind(this);
  }

  UserLogin(req, res) {
    this.common.UserLogin(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }
  UserRegister(req, res) {
    this.common.UserRegister(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }
  ActivateAccount(req, res) {
    this.common.ActivateAccount(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  ResendActivation(req, res) {
    this.common.ResendActivation(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  ForgotPassword(req, res) {
    this.common.ForgotPassword(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  ResetPassword(req, res) {
    this.common.ResetPassword(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }

  Logout(req, res) {
    this.common.Logout(req, async (error, result) => {
      await commonResponse(res, error, result, req);
    });
  }
}