"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const datamigration_services_1 = __importDefault(require("../services/datamigration.services"));
const { commonResponse } = new common_1.default();
class DataMigrateController {
    constructor() {
        this.common = new datamigration_services_1.default();
        this.UploadCSV = this.UploadCSV.bind(this);
        this.UploadCSVGroupMessage = this.UploadCSVGroupMessage.bind(this);
        this.UploadCSVUsers = this.UploadCSVUsers.bind(this);
        this.UploadCSVFriendMessage = this.UploadCSVFriendMessage.bind(this);
        this.UploadCSVFriendGroup = this.UploadCSVFriendGroup.bind(this);
        this.UploadCSVFriendMaster = this.UploadCSVFriendMaster.bind(this);
        this.UploadCSVAdvertisement = this.UploadCSVAdvertisement.bind(this);
        this.UploadCSVAdminuser = this.UploadCSVAdminuser.bind(this);
        this.UploadCSVSerialnumber = this.UploadCSVSerialnumber.bind(this);
        this.UploadCSVServicefeature = this.UploadCSVServicefeature.bind(this);
        this.UploadCSVService = this.UploadCSVService.bind(this);
        this.UploadCSVPhrasecategory = this.UploadCSVPhrasecategory.bind(this);
        this.UploadCSVPhrasesubcategory = this.UploadCSVPhrasesubcategory.bind(this);
        this.UploadCSVPhrase = this.UploadCSVPhrase.bind(this);
        this.SetStartingValue = this.SetStartingValue.bind(this);
    }
    UploadCSV(req, res) {
        this.common.UploadCSV(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVGroupMessage(req, res) {
        this.common.UploadCSVGroupMessage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVUsers(req, res) {
        this.common.UploadCSVUsers(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVFriendMessage(req, res) {
        this.common.UploadCSVFriendMessage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVFriendGroup(req, res) {
        this.common.UploadCSVFriendGroup(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVFriendMaster(req, res) {
        this.common.UploadCSVFriendMaster(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVAdvertisement(req, res) {
        this.common.UploadCSVAdvertisement(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVAdminuser(req, res) {
        this.common.UploadCSVAdminuser(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVSerialnumber(req, res) {
        this.common.UploadCSVSerialnumber(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVServicefeature(req, res) {
        this.common.UploadCSVServicefeature(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVService(req, res) {
        this.common.UploadCSVService(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVPhrasecategory(req, res) {
        this.common.UploadCSVPhrasecategory(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVPhrasesubcategory(req, res) {
        this.common.UploadCSVPhrasesubcategory(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UploadCSVPhrase(req, res) {
        this.common.UploadCSVPhrase(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    SetStartingValue(req, res) {
        this.common.SetStartingValue(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = DataMigrateController;
//# sourceMappingURL=datamigration.controller.js.map