"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const device_services_1 = __importDefault(require("../services/device.services"));
const { commonResponse } = new common_1.default();
class DeviceController {
    constructor() {
        this.common = new device_services_1.default();
        this.RegisterDevice = this.RegisterDevice.bind(this);
        this.GetAdvertisement = this.GetAdvertisement.bind(this);
        this.GetTranslateUser = this.GetTranslateUser.bind(this);
        this.GenerateUserQR = this.GenerateUserQR.bind(this);
        this.UpdateDeviceToken = this.UpdateDeviceToken.bind(this);
    }
    RegisterDevice(req, res) {
        this.common.RegisterDevice(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetAdvertisement(req, res) {
        this.common.GetAdvertisement(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetTranslateUser(req, res) {
        this.common.GetTranslateUser(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GenerateUserQR(req, res) {
        this.common.GenerateUserQR(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateDeviceToken(req, res) {
        this.common.UpdateDeviceToken(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = DeviceController;
//# sourceMappingURL=device.controller.js.map