"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const document_services_1 = __importDefault(require("../services/document.services"));
const { commonResponse } = new common_1.default();
class DocumentController {
    constructor() {
        this.common = new document_services_1.default();
        this.insertDocument = this.insertDocument.bind(this);
        this.GetDocuments = this.GetDocuments.bind(this);
        this.DocToPdfConvert = this.DocToPdfConvert.bind(this);
        this.DeleteDocument = this.DeleteDocument.bind(this);
    }
    insertDocument(req, res) {
        this.common.insertDocument(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetDocuments(req, res) {
        this.common.GetDocuments(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    DocToPdfConvert(req, res) {
        this.common.DocToPdfConvert(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    DeleteDocument(req, res) {
        this.common.DeleteDocument(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = DocumentController;
//# sourceMappingURL=document.controller.js.map