"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const friendmaster_services_1 = __importDefault(require("../services/friendmaster.services"));
const { commonResponse } = new common_1.default();
class FriendmasterController {
    constructor() {
        this.common = new friendmaster_services_1.default();
        this.GetMyFriendMessage = this.GetMyFriendMessage.bind(this);
        this.GetAllFriendRequest = this.GetAllFriendRequest.bind(this);
        this.AcceptFriendRequest = this.AcceptFriendRequest.bind(this);
        this.RejectFriendRequest = this.RejectFriendRequest.bind(this);
        this.GetFriends = this.GetFriends.bind(this);
        this.SendFriendRequest = this.SendFriendRequest.bind(this);
        this.RemoveFriend = this.RemoveFriend.bind(this);
        this.GetFriendMessage = this.GetFriendMessage.bind(this);
        this.SendMessage = this.SendMessage.bind(this);
        this.RemoveFriendMessage = this.RemoveFriendMessage.bind(this);
    }
    GetMyFriendMessage(req, res) {
        this.common.GetMyFriendMessage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetAllFriendRequest(req, res) {
        this.common.GetAllFriendRequest(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    AcceptFriendRequest(req, res) {
        this.common.AcceptFriendRequest(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    RejectFriendRequest(req, res) {
        this.common.RejectFriendRequest(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    SendFriendRequest(req, res) {
        this.common.SendFriendRequest(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    RemoveFriend(req, res) {
        this.common.RemoveFriend(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetFriends(req, res) {
        this.common.GetFriends(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetFriendMessage(req, res) {
        this.common.GetFriendMessage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    SendMessage(req, res) {
        this.common.SendMessage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    RemoveFriendMessage(req, res) {
        this.common.RemoveFriendMessage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = FriendmasterController;
//# sourceMappingURL=friendmaster.controller.js.map