"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const groupmaster_services_1 = __importDefault(require("../services/groupmaster.services"));
const { commonResponse } = new common_1.default();
class GroupmasterController {
    constructor() {
        this.common = new groupmaster_services_1.default();
        this.createGroup = this.createGroup.bind(this);
        this.ListGroup = this.ListGroup.bind(this);
        this.GroupInfo = this.GroupInfo.bind(this);
        this.GetGroupMessages = this.GetGroupMessages.bind(this);
        this.UpdateGroup = this.UpdateGroup.bind(this);
        this.RemoveGroup = this.RemoveGroup.bind(this);
        this.RemoveGroupImage = this.RemoveGroupImage.bind(this);
        this.addGroupMember = this.addGroupMember.bind(this);
        this.removeGroupMember = this.removeGroupMember.bind(this);
        this.StoreGroupMessages = this.StoreGroupMessages.bind(this);
        this.UpdateGroupName = this.UpdateGroupName.bind(this);
        this.UpdateGroupImage = this.UpdateGroupImage.bind(this);
        this.UpdateGroupType = this.UpdateGroupType.bind(this);
        this.RemoveGroupMessages = this.RemoveGroupMessages.bind(this);
    }
    createGroup(req, res) {
        this.common.createGroup(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    ListGroup(req, res) {
        this.common.ListGroup(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GroupInfo(req, res) {
        this.common.GroupInfo(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetGroupMessages(req, res) {
        this.common.GetGroupMessages(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateGroup(req, res) {
        this.common.UpdateGroup(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    RemoveGroup(req, res) {
        this.common.RemoveGroup(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    RemoveGroupImage(req, res) {
        this.common.RemoveGroupImage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    addGroupMember(req, res) {
        this.common.addGroupMember(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    removeGroupMember(req, res) {
        this.common.removeGroupMember(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    StoreGroupMessages(req, res) {
        this.common.StoreGroupMessages(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateGroupName(req, res) {
        this.common.UpdateGroupName(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateGroupImage(req, res) {
        this.common.UpdateGroupImage(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateGroupType(req, res) {
        this.common.UpdateGroupType(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    RemoveGroupMessages(req, res) {
        this.common.RemoveGroupMessages(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = GroupmasterController;
//# sourceMappingURL=groupmaster.controller.js.map