"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const phrase_services_1 = __importDefault(require("../services/phrase.services"));
const { commonResponse } = new common_1.default();
class PhraseController {
    constructor() {
        this.common = new phrase_services_1.default();
        this.GetPhraseCategory = this.GetPhraseCategory.bind(this);
        this.GetPhrases = this.GetPhrases.bind(this);
    }
    GetPhraseCategory(req, res) {
        this.common.GetPhraseCategory(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetPhrases(req, res) {
        this.common.GetPhrases(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = PhraseController;
//# sourceMappingURL=phrase.controller.js.map