"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const preference_services_1 = __importDefault(require("../services/preference.services"));
const { commonResponse } = new common_1.default();
class PreferenceController {
    constructor() {
        this.common = new preference_services_1.default();
        this.UpdateRegion = this.UpdateRegion.bind(this);
        this.UpdateLanguageCode = this.UpdateLanguageCode.bind(this);
        this.TransferOwnership = this.TransferOwnership.bind(this);
        this.UpdateEmail = this.UpdateEmail.bind(this);
        this.UpdatePassword = this.UpdatePassword.bind(this);
        this.UpdateName = this.UpdateName.bind(this);
        this.DeleteProfile = this.DeleteProfile.bind(this);
        this.UpdateVoicePreference = this.UpdateVoicePreference.bind(this);
        this.UpdateProfilePicture = this.UpdateProfilePicture.bind(this);
    }
    UpdateRegion(req, res) {
        this.common.UpdateRegion(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateLanguageCode(req, res) {
        this.common.UpdateLanguageCode(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    TransferOwnership(req, res) {
        this.common.TransferOwnership(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateEmail(req, res) {
        this.common.UpdateEmail(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdatePassword(req, res) {
        this.common.UpdatePassword(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateName(req, res) {
        this.common.UpdateName(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    DeleteProfile(req, res) {
        this.common.DeleteProfile(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateVoicePreference(req, res) {
        this.common.UpdateVoicePreference(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UpdateProfilePicture(req, res) {
        this.common.UpdateProfilePicture(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = PreferenceController;
//# sourceMappingURL=preference.controller.js.map