"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const subscription_services_1 = __importDefault(require("../services/subscription.services"));
const { commonResponse } = new common_1.default();
class SubscriptionController {
    constructor() {
        this.common = new subscription_services_1.default();
        this.AddSubscriptionPlan = this.AddSubscriptionPlan.bind(this);
        this.GetServices = this.GetServices.bind(this);
        this.GetServiceFeatures = this.GetServiceFeatures.bind(this);
    }
    AddSubscriptionPlan(req, res) {
        this.common.AddSubscriptionPlan(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetServices(req, res) {
        this.common.GetServices(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    GetServiceFeatures(req, res) {
        this.common.GetServiceFeatures(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = SubscriptionController;
//# sourceMappingURL=subscription.controller.js.map