"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../helpers/common"));
const user_services_1 = __importDefault(require("../services/user.services"));
const { commonResponse } = new common_1.default();
class UserController {
    constructor() {
        this.common = new user_services_1.default();
        this.UserLogin = this.UserLogin.bind(this);
        this.UserRegister = this.UserRegister.bind(this);
        this.ActivateAccount = this.ActivateAccount.bind(this);
        this.ResendActivation = this.ResendActivation.bind(this);
        this.ForgotPassword = this.ForgotPassword.bind(this);
        this.ResetPassword = this.ResetPassword.bind(this);
        this.Logout = this.Logout.bind(this);
    }
    UserLogin(req, res) {
        this.common.UserLogin(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    UserRegister(req, res) {
        this.common.UserRegister(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    ActivateAccount(req, res) {
        this.common.ActivateAccount(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    ResendActivation(req, res) {
        this.common.ResendActivation(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    ForgotPassword(req, res) {
        this.common.ForgotPassword(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    ResetPassword(req, res) {
        this.common.ResetPassword(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
    Logout(req, res) {
        this.common.Logout(req, (error, result) => __awaiter(this, void 0, void 0, function* () {
            yield commonResponse(res, error, result, req);
        }));
    }
}
exports.default = UserController;
//# sourceMappingURL=user.controller.js.map