const socketUsers = {};
const usersFollower = {};
module.exports = {
    emit: function (io, socketId, key, data) {
        io.to(socketId).emit(key, data);
    },
    broadcast: function (socket, key, data) {
        socket.broadcast.emit(key, data);
    },
    users: function () {
        return socketUsers;
    },
    userGet: function (userId) {
        if (socketUsers[userId] !== undefined) {
            return socketUsers[userId];
        }
        return null;
    },
    userSocketIds: function (userId) {
        var _a, _b;
        return (_b = (_a = this.userGet(userId)) === null || _a === void 0 ? void 0 : _a.socketIds) !== null && _b !== void 0 ? _b : [];
    },
    userAdd: function (socket, userId) {
        if (this.userGet(userId) === null) {
            socketUsers[userId] = {
                socketIds: []
            };
        }
        socketUsers[userId].socketIds.push(socket.id);
    },
    userRemove: function (socket, userId) {
        if (this.userGet(userId) !== null) {
            let index = socketUsers[userId].socketIds.indexOf(socket.id);
            if (index !== -1) {
                socketUsers[userId].socketIds.splice(index, 1);
            }
        }
    },
};
//# sourceMappingURL=socket-manager.js.map