"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const models = require('./../../models/index');
const { Op } = require("sequelize");
module.exports.CreateAdmin = [
    (0, express_validator_1.body)('fullname').trim().notEmpty().withMessage('FullnameRequired'),
    (0, express_validator_1.body)('fullname').trim().isLength({ min: 2 }).withMessage('FullnameMinLengthRequired'),
    (0, express_validator_1.body)('fullname').trim().isLength({ max: 30 }).withMessage('FullnameMaxLengthRequired'),
    (0, express_validator_1.body)('emailid').trim().notEmpty().withMessage('UserEmailRequired'),
    (0, express_validator_1.body)('emailid').trim().isEmail().withMessage('ValidEmailFormat'),
    (0, express_validator_1.body)('emailid').trim().custom((value, { req }) => __awaiter(void 0, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            return models.Admin.findOne({
                where: {
                    emailid: { [Op.eq]: value },
                    status: { [Op.eq]: 1 }
                }
            }).then(admin => {
                if (admin && admin !== null && admin !== undefined) {
                    return reject();
                }
                else {
                    return resolve();
                }
            }).catch((err) => {
                return reject();
            });
        });
    })).withMessage('ExistUser')
];
module.exports.AdminLogin = [
    (0, express_validator_1.body)('emailid').trim().isEmail().withMessage('ValidEmailFormat'),
    (0, express_validator_1.body)('password').trim().notEmpty().withMessage('PasswordRequired'),
];
//# sourceMappingURL=admin.validation.js.map