"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const models = require('./../../models/index');
const { Op } = require("sequelize");
const validateGroupImage = (value, { req }) => {
    if (!req.file) {
        throw new Error('ImageRequired');
    }
    return true;
};
module.exports.AcceptFriendRequest = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('invite_id').trim().notEmpty().withMessage('InviteIdRequired'),
];
module.exports.RejectFriendRequest = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('invite_id').trim().notEmpty().withMessage('InviteIdRequired'),
];
module.exports.SendFriendRequest = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('invite_to_id').trim().notEmpty().withMessage('InviteToIdRequired'),
];
module.exports.RemoveFriend = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('invite_id').trim().notEmpty().withMessage('InviteIdRequired'),
];
module.exports.SendMessage = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('sender_id').trim().notEmpty().withMessage('SenderIdRequired'),
    (0, express_validator_1.body)('receiver_id').trim().notEmpty().withMessage('ReceiverIdRequired'),
    (0, express_validator_1.body)('message').trim().notEmpty().withMessage('MessageRequired'),
    (0, express_validator_1.body)('language_code').trim().notEmpty().withMessage('LanguageCodeRequired'),
];
module.exports.RemoveFriendMessage = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('friend_group_id').trim().notEmpty().withMessage('FriendGroupIdRequired'),
];
//# sourceMappingURL=friendmaster.validation.js.map