"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const models = require('./../../models/index');
const { Op } = require("sequelize");
const validateGroupImage = (value, { req }) => {
    if (!req.file) {
        throw new Error('ImageRequired');
    }
    return true;
};
module.exports.createGroup = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    // body('group_member_id').trim().notEmpty().withMessage('groupMemberIdRequired'),
    (0, express_validator_1.body)('group_type').trim().notEmpty().withMessage('groupTypeRequired'),
    (0, express_validator_1.body)('group_name').trim().notEmpty().withMessage('groupNameRequired'),
    // body('group_image').custom(validateGroupImage),
];
module.exports.UpdateGroup = [
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('group_member_id').trim().notEmpty().withMessage('groupMemberIdRequired'),
    (0, express_validator_1.body)('group_type').trim().notEmpty().withMessage('groupTypeRequired'),
    (0, express_validator_1.body)('group_name').trim().notEmpty().withMessage('groupNameRequired'),
    // body('group_image').custom(validateGroupImage),
];
module.exports.Member = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('group_member_id').trim().notEmpty().withMessage('groupMemberIdRequired'),
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
];
module.exports.StoreGroupMessages = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    // body('group_message').trim().notEmpty().withMessage('groupMessageRequired'),
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
    // body('language_code').trim().notEmpty().withMessage('LanguageCodeRequired'),
];
module.exports.UpdateGroupName = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
    (0, express_validator_1.body)('group_name').trim().notEmpty().withMessage('groupNameRequired'),
];
module.exports.UpdateGroupImage = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
    (0, express_validator_1.body)('group_image').custom(validateGroupImage),
];
module.exports.UpdateGroupType = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
    (0, express_validator_1.body)('group_type').trim().notEmpty().withMessage('groupTypeRequired'),
];
module.exports.RemoveGroupMessages = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('group_id').trim().notEmpty().withMessage('groupIdRequired'),
];
//# sourceMappingURL=groupmaster.validation.js.map