"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_validator_1 = require("express-validator");
const models = require('./../../models/index');
const { Op } = require("sequelize");
const validateImage = (value, { req }) => {
    if (!req.file) {
        throw new Error('ImageRequired');
    }
    return true;
};
module.exports.UpdateRegion = [
    (0, express_validator_1.body)('user_id').trim().notEmpty().withMessage('UserIDRequired'),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('region').trim().notEmpty().withMessage('RegionRequired'),
];
module.exports.UpdateLanguage = [
    (0, express_validator_1.body)('user_id').trim().notEmpty().withMessage('UserIDRequired'),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('language_code').trim().notEmpty().withMessage('languageCodeRequired'),
];
module.exports.TransferOwnership = [
    (0, express_validator_1.body)('email').trim().notEmpty().withMessage('EmailRequired'),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
module.exports.UpdatePassword = [
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
    (0, express_validator_1.body)('old_password').trim().notEmpty().withMessage('old_passwordRequired'),
    (0, express_validator_1.body)('password').trim().notEmpty().withMessage('PasswordRequired'),
    (0, express_validator_1.body)('password').trim().isLength({ min: 8 }).withMessage('PasswordMinLengthRequired'),
    (0, express_validator_1.body)('password').matches(/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[\W_]).{8,}$/).withMessage('PasswordComplexityRequired'),
    // body('password').matches(/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[!@#$%^&*]).{8,}$/).withMessage('PasswordComplexityRequired'),
];
module.exports.UpdateName = [
    (0, express_validator_1.body)('name').trim().notEmpty().withMessage('EmailRequired'),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
module.exports.UpdateVoice = [
    (0, express_validator_1.body)('voice_preference').trim().notEmpty().withMessage('voicePreferenceRequired'),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
module.exports.UpdateProfilePicture = [
    (0, express_validator_1.body)('user_profile_picture').custom(validateImage),
    (0, express_validator_1.body)('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
//# sourceMappingURL=preference.validation.js.map