'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('advertisement_master', {
                advertisement_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                advertisement_image: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                advertisement_link: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                sort_order: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0
                    // 0=Disable, 1=Enable
                },
                is_discover: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0
                    //0=No, 1=Yes
                },
                title: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                description: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                }
            }, {
                tableName: 'advertisement_master',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('advertisement_master');
        });
    }
};
//# sourceMappingURL=20230721103114-create-advertisement-master.js.map