'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('banners', {
                banner_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                banner_title: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                banner_image: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                banner_link: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                banner_target_window: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    //0= Disable, 1= Enable
                },
                created_date: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                }
            }, {
                tableName: 'banners',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('banners');
        });
    }
};
//# sourceMappingURL=20230721103747-create-banners.js.map