'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('event_master', {
                event_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                event_name: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                event_image: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                event_owner_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                event_speaker_id: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                event_venue: {
                    type: Sequelize.TEXT,
                    allowNull: false,
                },
                event_type: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1
                    // 1=Public, 2=Private
                },
                event_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                created_date: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                }
            }, {
                tableName: 'event_master',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('event_master');
        });
    }
};
//# sourceMappingURL=20230721114151-create-event-master.js.map