'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('group_message', {
                group_message_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                group_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                user_id: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                },
                sender_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                group_message: {
                    type: Sequelize.TEXT,
                    allowNull: false,
                },
                is_deleted: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0
                    // 0 = not deleted, 1 = deleted	
                },
                public_deleted_flag: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0
                    // 0 = not deleted, 1 = deleted	
                },
                deleted_by: {
                    type: Sequelize.TEXT,
                    allowNull: true,
                },
                reply_message_id: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                },
                tags: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                }
            }, {
                tableName: 'group_message',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('group_message');
        });
    }
};
//# sourceMappingURL=20230724112455-create-group-message.js.map