'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('orders', {
                order_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                user_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                service_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                amount: {
                    type: Sequelize.FLOAT,
                    allowNull: false,
                },
                payment_with: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    // 1 = PayPal, 2 = Stripe
                },
                payment_type: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    // 1 = Recurring, 2 = One Time
                },
                transaction_id: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                profile_id: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                subscription_status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1
                    // 1 = Subscribed, 0 = Cancelled
                },
                cancel_at: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                tenure: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    // 0 = Failed, 1 = Success	
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                }
            }, {
                tableName: 'orders',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('orders');
        });
    }
};
//# sourceMappingURL=20230724113434-create-orders.js.map