'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('paypal_settings', {
                id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                payment_mode: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1
                    // 1 = Sandbox, 2 = Live
                },
                currency_code: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                merchant_email_live: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                username_live: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                password_live: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                signature_live: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                merchant_email_sandbox: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                username_sandbox: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                password_sandbox: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                signature_sandbox: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                success_url: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                cancel_url: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1,
                    // 0 = Disable, 1 = Enable
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                }
            }, {
                tableName: 'paypal_settings',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('paypal_settings');
        });
    }
};
//# sourceMappingURL=20230724114438-create-paypal-settings.js.map