'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('phrases', {
                phrase_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                phrase_cat_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                phrase_sub_cat_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                phrase: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                },
                phrases_am: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ar: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_bg: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ca: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_cs: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_da: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_de: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_el: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_en: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_es: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_fa: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_fi: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_fr: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ga: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ha: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_he: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_hu: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_id: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ig: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_it: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ja: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ko: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ku: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_lt: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_lv: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ms: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_nb: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_nl: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_pa: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_pl: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_prs: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ps: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_pt: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ro: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ru: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_sk: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_sq: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_sv: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_sw: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_th: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ti: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_tr: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_uk: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_ur: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_vi: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_yo: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                phrases_zh: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                }
            }, {
                tableName: 'phrases',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('phrases');
        });
    }
};
//# sourceMappingURL=20230724120244-create-phrases.js.map