'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.addConstraint('friend_master', {
                type: 'foreign key',
                fields: ['invite_from_id'],
                references: {
                    table: 'user_registration',
                    field: 'user_id'
                },
                onDelete: 'CASCADE'
            });
            yield queryInterface.addConstraint('friend_master', {
                type: 'foreign key',
                fields: ['invite_to_id'],
                references: {
                    table: 'user_registration',
                    field: 'user_id'
                },
                onDelete: 'CASCADE'
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.removeColumn('friend_master', 'invite_from_id');
            yield queryInterface.removeColumn('friend_master', 'invite_to_id');
        });
    }
};
//# sourceMappingURL=20230724120246-add-foriegn-friend-master.js.map