'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('services', {
                id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                service_title: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                service_image: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                service_price: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                service_short_description: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                service_description: {
                    type: Sequelize.TEXT,
                    allowNull: false,
                },
                service_status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                // feature_id: {
                //         type: Sequelize.INTEGER,
                //         allowNull: true
                // },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                }
            }, {
                tableName: 'services',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('services');
        });
    }
};
//# sourceMappingURL=20230727114018-CR_Services.js.map