'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('phrases_sub_category', {
                phrase_sub_cat_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                phrase_cat_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                sub_category: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                },
                sub_category_am: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ar: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_bg: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ca: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_cs: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_da: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_de: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_el: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_en: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_es: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_fa: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_fi: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_fr: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ga: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ha: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_he: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_hu: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_id: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ig: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_it: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ja: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ko: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ku: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_lt: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_lv: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ms: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_nb: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_nl: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_pa: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_pl: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_prs: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ps: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_pt: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ro: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ru: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_sk: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_sq: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_sv: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_sw: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_th: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ti: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_tr: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_uk: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_ur: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_vi: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_yo: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                },
                sub_category_zh: {
                    type: Sequelize.STRING(255),
                    allowNull: true,
                    defaultValue: '',
                }
            }, {
                tableName: 'phrases_sub_category',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('phrases_sub_category');
        });
    }
};
//# sourceMappingURL=20230727114021-CR_phrases_sub_category.js.map