'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('stripe_settings', {
                id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    primaryKey: true,
                    autoIncrement: true,
                },
                payment_mode: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1,
                },
                currency_code: {
                    type: Sequelize.STRING(3),
                    allowNull: true,
                    defaultValue: null,
                },
                live_secret: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                live_publishable: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                live_subscription_plan_id: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                test_secret: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                test_publishable: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                test_subscription_plan_id: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                status: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1,
                },
                created_date: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                },
            }, {
                tableName: 'stripe_settings',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('stripe_settings');
        });
    }
};
//# sourceMappingURL=20230727114026-CR_stripe_setting.js.map