'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('translator_call_details', {
                translator_call_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                translator_user_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                call_request_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                is_request_accepted: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                friends_ids: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                source_language: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                target_language: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                start_time: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                end_time: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                no_of_people: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                price: {
                    type: Sequelize.FLOAT,
                    allowNull: false,
                },
                call_duration_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                }
            }, {
                tableName: 'translator_call_details',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('translator_call_details');
        });
    }
};
//# sourceMappingURL=20230727114028-CR_translator_call_details.js.map