'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('translator_registration', {
                user_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    primaryKey: true,
                    autoIncrement: true,
                },
                user_name: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                user_email: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                user_password: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                contact_number: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                profile_picture: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                user_login_type: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                activation_key: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                is_verified: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                push_notification: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1,
                },
                device_token: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                device_type: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                login_access_token: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                is_login: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                    defaultValue: null,
                },
                application_version: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                is_online: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1,
                },
                user_languages: {
                    type: Sequelize.TEXT,
                    allowNull: true,
                },
                quickblox_id: {
                    type: Sequelize.STRING,
                    allowNull: true,
                    defaultValue: null,
                },
                created_date: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                },
                is_deleted: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 1,
                },
            }, {
                tableName: 'translator_registration',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('translator_registration');
        });
    }
};
//# sourceMappingURL=20230727114030-CR_translator_registration.js.map