'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('user_verification', {
                user_verification_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    primaryKey: true,
                    autoIncrement: true,
                },
                user_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                is_phone_verified: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                proof_type_id: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                id_holder_name: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                front_side_image: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                back_side_image: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                selfie_with_idproof: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                degree_type: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                degree_name: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                experience: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                is_admin_verified_system: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                is_admin_verified_photo_id_proof: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                is_admin_verified_uploaded_selfie: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                is_admin_verified_education: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                    defaultValue: 0,
                },
                created_date: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                updated_date: {
                    type: Sequelize.INTEGER,
                    allowNull: true,
                },
            }, {
                tableName: 'user_verification',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('user_verification');
        });
    }
};
//# sourceMappingURL=20230727114039-CR_user_verification.js.map