'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.addConstraint('service_feature_data', {
                type: 'foreign key',
                fields: ['service_id'],
                references: {
                    table: 'services',
                    field: 'id'
                },
                onDelete: 'CASCADE'
            });
            yield queryInterface.addConstraint('service_feature_data', {
                type: 'foreign key',
                fields: ['feature_id'],
                references: {
                    table: 'service_feature',
                    field: 'feature_id'
                },
                onDelete: 'CASCADE'
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.removeColumn('service_feature_data', 'feature_id');
            yield queryInterface.removeColumn('service_feature_data', 'service_id');
        });
    }
};
//# sourceMappingURL=20230727114043-add-foriegn-service-feature-data.js.map