'use strict';
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/** @type {import('sequelize-cli').Migration} */
module.exports = {
    up(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.createTable('manage_app_versions', {
                app_version_id: {
                    allowNull: false,
                    autoIncrement: true,
                    primaryKey: true,
                    type: Sequelize.INTEGER
                },
                app_name: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                store_type: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                application_type: {
                    type: Sequelize.INTEGER,
                    allowNull: false,
                },
                current_version: {
                    type: Sequelize.STRING,
                    allowNull: false,
                },
                res_msg: {
                    type: Sequelize.STRING,
                    allowNull: true,
                },
                created_date: {
                    allowNull: false,
                    type: Sequelize.INTEGER
                },
                updated_date: {
                    allowNull: true,
                    type: Sequelize.INTEGER
                }
            }, {
                tableName: 'manage_app_versions',
                freezeTableName: true
            });
        });
    },
    down(queryInterface, Sequelize) {
        return __awaiter(this, void 0, void 0, function* () {
            yield queryInterface.dropTable('manage_app_versions');
        });
    }
};
//# sourceMappingURL=20240416070125-CR-app-versions.js.map