'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class Admin extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // define association here
        }
    }
    Admin.init({
        admin_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
            primaryKey: true,
            autoIncrement: true,
        },
        fullname: {
            type: DataTypes.STRING(255),
            allowNull: true,
        },
        role_id: {
            type: DataTypes.INTEGER,
            allowNull: true,
            references: {
                model: "Role",
                key: "role_id",
            },
        },
        emailid: {
            type: DataTypes.STRING(255),
            allowNull: true,
        },
        password: {
            type: DataTypes.STRING(255),
            allowNull: true,
        },
        status: {
            type: DataTypes.INTEGER,
            allowNull: true,
            defaultValue: 1
        },
        login_access_token: {
            type: DataTypes.STRING(255),
            allowNull: true,
        },
        otp: {
            type: DataTypes.INTEGER,
            allowNull: true,
        },
        created_date: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        },
    }, {
        sequelize,
        modelName: "Admin",
        tableName: "admin_user",
        timestamps: false,
    });
    return Admin;
};
//# sourceMappingURL=admin.js.map