'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class EventDiscussion extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // define association here
        }
    }
    EventDiscussion.init({
        discussion_id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        event_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        user_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        discussion: {
            type: DataTypes.TEXT,
            allowNull: true,
        },
        attachment_type: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        attachment_url: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        audio_duration: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        created_date: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        }
    }, {
        sequelize,
        modelName: "EventDiscussion",
        tableName: 'event_discussion',
        timestamps: false
    });
    return EventDiscussion;
};
//# sourceMappingURL=event_discussion.js.map