'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class FindTranslator extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // define association here
        }
    }
    FindTranslator.init({
        call_request_id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        user_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        translator_user_id: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        source_language: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        target_language: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        is_accepted: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 0
            // 0 = Initiate, 1 = Accept, 2 = Cancel
        },
        created_date: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        }
    }, {
        sequelize,
        modelName: "FindTranslator",
        tableName: 'find_translator',
        timestamps: false
    });
    return FindTranslator;
};
//# sourceMappingURL=find_translator.js.map