'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class FriendGroup extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // define association here
            FriendGroup.hasMany(models.FriendMessage, { foreignKey: 'friend_group_id', as: 'messages' });
            FriendGroup.belongsTo(models.User, { as: 'member', foreignKey: 'member_id' });
            FriendGroup.belongsTo(models.User, { as: 'owner', foreignKey: 'owner_id' });
            FriendGroup.hasOne(models.FriendMessage, { foreignKey: 'friend_group_id', as: 'is_message' });
        }
    }
    FriendGroup.init({
        friend_group_id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        friend_group_name: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        owner_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        member_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        created_date: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        }
    }, {
        sequelize,
        modelName: "FriendGroup",
        tableName: 'friend_group',
        timestamps: false
    });
    return FriendGroup;
};
//# sourceMappingURL=friend_group.js.map