'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class GroupMaster extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // define association here
            GroupMaster.hasMany(models.GroupMember, { foreignKey: 'group_id', as: 'memberInfo', });
            GroupMaster.belongsTo(models.User, { as: 'ownerInfo', foreignKey: 'group_owner_id' });
            GroupMaster.hasMany(models.GroupMessage, { as: 'groupInfo', foreignKey: 'group_id' });
        }
    }
    GroupMaster.init({
        group_id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        group_name: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        group_image: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        group_owner_id: {
            type: DataTypes.INTEGER,
            allowNull: true,
            references: {
                model: "User",
                key: "user_id",
            },
        },
        // group_member_id: {
        //   type: DataTypes.STRING,
        //   allowNull: true,
        // },
        group_type: {
            type: DataTypes.INTEGER,
            allowNull: false,
            defaultValue: 1
            // 1=Public, 2=Private
        },
        group_qr_image: {
            type: DataTypes.STRING,
            allowNull: true,
        },
        created_date: {
            allowNull: false,
            type: DataTypes.INTEGER
        },
        updated_date: {
            allowNull: true,
            type: DataTypes.INTEGER
        }
    }, {
        sequelize,
        modelName: "GroupMaster",
        tableName: 'group_master',
        timestamps: false
    });
    return GroupMaster;
};
//# sourceMappingURL=group_master.js.map