'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class GroupMember extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            GroupMember.belongsTo(models.GroupMaster, { foreignKey: 'group_id', as: 'memberInfo' });
            GroupMember.belongsTo(models.User, { foreignKey: 'user_id' });
        }
    }
    GroupMember.init({
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        group_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        user_id: {
            type: DataTypes.INTEGER,
            allowNull: true,
        },
        created_date: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        },
    }, {
        sequelize,
        modelName: 'GroupMember',
        tableName: 'group_members',
        timestamps: false
    });
    return GroupMember;
};
//# sourceMappingURL=group_member.js.map