'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class ServiceFeatureData extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            ServiceFeatureData.belongsTo(models.Services, { foreignKey: 'service_id' });
            ServiceFeatureData.belongsTo(models.ServiceFeature, { foreignKey: 'feature_id' });
        }
    }
    ServiceFeatureData.init({
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        service_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        feature_id: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        created_date: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        },
    }, {
        sequelize,
        modelName: 'ServiceFeatureData',
        tableName: 'service_feature_data',
        timestamps: false
    });
    return ServiceFeatureData;
};
//# sourceMappingURL=service_feature_data.js.map