'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class Services extends sequelize_1.Model {
        /**
         * Helper method for defining associations.
         * This method is not a part of Sequelize lifecycle.
         * The `models/index` file will call this method automatically.
         */
        static associate(models) {
            // Services.belongsToMany(models.ServiceFeature, {
            //     through: models.ServiceFeatureData,
            //     foreignKey: 'service_id',
            //     otherKey: 'feature_id',
            //     as: 'Features',
            //   });
            Services.belongsToMany(models.ServiceFeature, {
                through: models.ServiceFeatureData,
                foreignKey: 'service_id',
                otherKey: 'feature_id',
                as: 'Features', // Set the correct alias
            });
        }
    }
    Services.init({
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        service_title: {
            type: DataTypes.STRING,
            allowNull: false,
        },
        service_image: {
            type: DataTypes.STRING,
            allowNull: false,
        },
        service_price: {
            type: DataTypes.STRING,
            allowNull: false,
        },
        service_short_description: {
            type: DataTypes.STRING,
            allowNull: false,
        },
        service_description: {
            type: DataTypes.TEXT,
            allowNull: false,
        },
        service_status: {
            type: DataTypes.INTEGER,
            allowNull: false,
        },
        // feature_id: {
        //     type: DataTypes.INTEGER,
        //     allowNull: true
        // },
        created_date: {
            allowNull: false,
            type: DataTypes.INTEGER
        },
        updated_date: {
            type: DataTypes.INTEGER,
            allowNull: true,
        }
    }, {
        sequelize,
        modelName: "Services",
        tableName: 'services',
        timestamps: false
    });
    return Services;
};
//# sourceMappingURL=services.js.map