"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const datamigration_controller_1 = __importDefault(require("../../controllers/datamigration.controller"));
const common_1 = __importDefault(require("../../helpers/common"));
const { UploadCSV, UploadCSVGroupMessage, UploadCSVUsers, UploadCSVFriendMessage, UploadCSVFriendGroup, UploadCSVFriendMaster, UploadCSVAdvertisement, UploadCSVAdminuser, UploadCSVSerialnumber, UploadCSVServicefeature, UploadCSVService, UploadCSVPhrasecategory, UploadCSVPhrasesubcategory, UploadCSVPhrase, SetStartingValue } = new datamigration_controller_1.default();
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { CheckValidationError } = new common_1.default();
module.exports = function (router) {
    //group master
    router.post('/upload-csv-groupmaster', upload.single('csvFile'), CheckValidationError, UploadCSV);
    //group message
    router.post('/upload-csv-groupmessage', upload.single('csvFile'), CheckValidationError, UploadCSVGroupMessage);
    //user data 
    router.post('/upload-csv-user', upload.single('csvFile'), CheckValidationError, UploadCSVUsers);
    //friend message
    router.post('/upload-csv-friendmessage', upload.single('csvFile'), CheckValidationError, UploadCSVFriendMessage);
    //friend group
    router.post('/upload-csv-friendgroup', upload.single('csvFile'), CheckValidationError, UploadCSVFriendGroup);
    // friend master
    router.post('/upload-csv-friendmaster', upload.single('csvFile'), CheckValidationError, UploadCSVFriendMaster);
    //upload advertisement master
    router.post('/upload-csv-advertisement', upload.single('csvFile'), CheckValidationError, UploadCSVAdvertisement);
    //upload admin users
    router.post('/upload-csv-adminuser', upload.single('csvFile'), CheckValidationError, UploadCSVAdminuser);
    //device serial number
    router.post('/upload-csv-serialnumber', upload.single('csvFile'), CheckValidationError, UploadCSVSerialnumber);
    //service feature
    router.post('/upload-csv-servicefeature', upload.single('csvFile'), CheckValidationError, UploadCSVServicefeature);
    // services & service feature data
    router.post('/upload-csv-service', upload.single('csvFile'), CheckValidationError, UploadCSVService);
    //get phrases category
    router.post('/upload-csv-phrasecategory', upload.single('csvFile'), CheckValidationError, UploadCSVPhrasecategory);
    // get phrase sub category
    router.post('/upload-csv-phrasesubcategory', upload.single('csvFile'), CheckValidationError, UploadCSVPhrasesubcategory);
    //get phrases
    router.post('/upload-csv-phrase', upload.single('csvFile'), CheckValidationError, UploadCSVPhrase);
    //set starting index due to data migration
    router.post('/set-starting-value', CheckValidationError, SetStartingValue);
};
//# sourceMappingURL=dataMigrate.js.map