"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const device_controller_1 = __importDefault(require("../../controllers/device.controller"));
const common_1 = __importDefault(require("../../helpers/common"));
const DeviceValidation = __importStar(require("../../helpers/validation/device.validation"));
const { RegisterDevice, GetAdvertisement, GetTranslateUser, GenerateUserQR, UpdateDeviceToken } = new device_controller_1.default();
const { CheckValidationError, VerifyJwt, VerifyAccountActive, appVersionCheck } = new common_1.default();
module.exports = function (router) {
    //register device 
    router.post('/register', VerifyJwt, VerifyAccountActive, appVersionCheck, DeviceValidation['DeviceRegister'], CheckValidationError, RegisterDevice);
    // get Advertisement
    router.get('/get-advertisement', VerifyJwt, VerifyAccountActive, appVersionCheck, CheckValidationError, GetAdvertisement);
    // getTranslateUser
    router.get('/get-translate-user', VerifyJwt, VerifyAccountActive, CheckValidationError, GetTranslateUser);
    //generateUserQR
    router.post('/generate-user-qr', VerifyJwt, VerifyAccountActive, CheckValidationError, GenerateUserQR);
    //updateDeviceToken
    router.post('/update-device-token', VerifyJwt, VerifyAccountActive, DeviceValidation['UpdateToken'], CheckValidationError, UpdateDeviceToken);
};
//# sourceMappingURL=device.js.map