"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const document_controller_1 = __importDefault(require("../../controllers/document.controller"));
const common_1 = __importDefault(require("../../helpers/common"));
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { insertDocument, GetDocuments, DocToPdfConvert, DeleteDocument } = new document_controller_1.default;
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new common_1.default();
module.exports = function (router) {
    //insert doc
    router.post('/insert-document', upload.any(), VerifyJwt, CheckValidationError, insertDocument);
    //get doc
    router.get('/get-documents', VerifyJwt, CheckValidationError, GetDocuments);
    // doc to pdf 
    router.post('/doc-to-pdf', upload.single('input'), VerifyJwt, CheckValidationError, DocToPdfConvert);
    //delete document
    router.post('/delete-document', VerifyJwt, CheckValidationError, DeleteDocument);
};
//# sourceMappingURL=document.js.map