"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const friendmaster_controller_1 = __importDefault(require("../../controllers/friendmaster.controller"));
const common_1 = __importDefault(require("../../helpers/common"));
const FriendmasterValidation = __importStar(require("../../helpers/validation/friendmaster.validation"));
const { GetMyFriendMessage, GetAllFriendRequest, AcceptFriendRequest, RejectFriendRequest, SendFriendRequest, RemoveFriend, GetFriends, GetFriendMessage, SendMessage, RemoveFriendMessage } = new friendmaster_controller_1.default();
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new common_1.default();
module.exports = function (router) {
    //getMyFriendMessage  
    router.get('/get-my-friend-message', VerifyJwt, VerifyAccountActive, CheckValidationError, GetMyFriendMessage);
    // getAllFriendRequest
    router.get('/get-all-friend-request', VerifyJwt, VerifyAccountActive, CheckValidationError, GetAllFriendRequest);
    //accept Friend request
    router.post('/accept-friend-request', VerifyJwt, VerifyAccountActive, FriendmasterValidation['AcceptFriendRequest'], CheckValidationError, AcceptFriendRequest);
    //Reject Firend Request
    router.post('/reject-friend-request', VerifyJwt, VerifyAccountActive, FriendmasterValidation['RejectFriendRequest'], CheckValidationError, RejectFriendRequest);
    //sendFriendRequest
    router.post('/send-friend-request', VerifyJwt, VerifyAccountActive, FriendmasterValidation['SendFriendRequest'], CheckValidationError, SendFriendRequest);
    //Remove Friend
    router.post('/remove-friend', VerifyJwt, VerifyAccountActive, FriendmasterValidation['RemoveFriend'], CheckValidationError, RemoveFriend);
    //Get Firends Request
    router.get('/get-friends', VerifyJwt, VerifyAccountActive, CheckValidationError, GetFriends);
    //getFriendMessage  
    router.get('/get-friend-message', VerifyJwt, VerifyAccountActive, CheckValidationError, GetFriendMessage);
    //send message
    router.post('/send-message', VerifyJwt, VerifyAccountActive, FriendmasterValidation['SendMessage'], CheckValidationError, SendMessage);
    //remove friend message
    router.post('/remove-friend-message', VerifyJwt, VerifyAccountActive, FriendmasterValidation['RemoveFriendMessage'], CheckValidationError, RemoveFriendMessage);
};
//# sourceMappingURL=friendmaster.js.map