"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const groupmaster_controller_1 = __importDefault(require("../../controllers/groupmaster.controller"));
const common_1 = __importDefault(require("../../helpers/common"));
const GroupmasterValidation = __importStar(require("../../helpers/validation/groupmaster.validation"));
const { createGroup, ListGroup, GroupInfo, GetGroupMessages, UpdateGroup, RemoveGroup, RemoveGroupImage, addGroupMember, removeGroupMember, StoreGroupMessages, UpdateGroupName, UpdateGroupImage, UpdateGroupType, RemoveGroupMessages } = new groupmaster_controller_1.default();
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new common_1.default();
module.exports = function (router) {
    //create group
    router.post('/create-group', upload.single('group_image'), VerifyJwt, VerifyAccountActive, GroupmasterValidation['createGroup'], CheckValidationError, createGroup);
    // list group
    router.get('/list-group', VerifyJwt, VerifyAccountActive, CheckValidationError, ListGroup);
    //group info
    router.get('/group-info', VerifyJwt, VerifyAccountActive, CheckValidationError, GroupInfo);
    //group message
    router.get('/group-messages', VerifyJwt, VerifyAccountActive, CheckValidationError, GetGroupMessages);
    //update group 
    router.post('/update-group', upload.single('group_image'), VerifyJwt, VerifyAccountActive, GroupmasterValidation['UpdateGroup'], CheckValidationError, UpdateGroup);
    //remove group
    router.post('/remove-group', VerifyJwt, VerifyAccountActive, CheckValidationError, RemoveGroup);
    //remove group image
    router.post('/remove-group-image', VerifyJwt, VerifyAccountActive, CheckValidationError, RemoveGroupImage);
    router.post('/remove-group-member', VerifyJwt, VerifyAccountActive, GroupmasterValidation['Member'], CheckValidationError, removeGroupMember);
    router.post('/add-group-member', VerifyJwt, VerifyAccountActive, GroupmasterValidation['Member'], CheckValidationError, addGroupMember);
    //send group message
    router.post('/store-group-messages', upload.any(), VerifyJwt, VerifyAccountActive, GroupmasterValidation['StoreGroupMessages'], CheckValidationError, StoreGroupMessages);
    //update name of group
    router.post('/update-group-name', VerifyJwt, VerifyAccountActive, GroupmasterValidation['UpdateGroupName'], CheckValidationError, UpdateGroupName);
    //update group image
    router.post('/update-group-image', upload.single('group_image'), VerifyJwt, VerifyAccountActive, GroupmasterValidation['UpdateGroupImage'], CheckValidationError, UpdateGroupImage);
    //update group type
    router.post('/update-group-type', VerifyJwt, VerifyAccountActive, GroupmasterValidation['UpdateGroupType'], CheckValidationError, UpdateGroupType);
    //remove group messages
    router.post('/remove-group-messages', VerifyJwt, VerifyAccountActive, GroupmasterValidation['RemoveGroupMessages'], CheckValidationError, RemoveGroupMessages);
};
//# sourceMappingURL=groupmaster.js.map