"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
const preference_controller_1 = __importDefault(require("../../controllers/preference.controller"));
const common_1 = __importDefault(require("../../helpers/common"));
const PreferenceValidation = __importStar(require("../../helpers/validation/preference.validation"));
const { UpdateRegion, UpdateLanguageCode, TransferOwnership, UpdateEmail, UpdatePassword, UpdateName, DeleteProfile, UpdateVoicePreference, UpdateProfilePicture } = new preference_controller_1.default();
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new common_1.default();
module.exports = function (router) {
    //Preferences region 
    router.post('/update-region', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateRegion'], CheckValidationError, UpdateRegion);
    //Preferences language code 
    router.post('/update-language', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateLanguage'], CheckValidationError, UpdateLanguageCode);
    // transferOwnership
    router.post('/transfer-ownership', VerifyJwt, VerifyAccountActive, PreferenceValidation['TransferOwnership'], CheckValidationError, TransferOwnership);
    // update name
    router.post('/update-email', VerifyJwt, VerifyAccountActive, PreferenceValidation['TransferOwnership'], CheckValidationError, UpdateEmail);
    //update password
    router.post('/update-password', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdatePassword'], CheckValidationError, UpdatePassword);
    //update name
    router.post('/update-name', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateName'], CheckValidationError, UpdateName);
    //delete profile
    router.post('/delete-profile', VerifyJwt, CheckValidationError, DeleteProfile);
    // updateVoicePreference
    router.post('/update-voice-preference', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateVoice'], CheckValidationError, UpdateVoicePreference);
    //Update profile picture
    router.post('/update-profile-picture', upload.single('user_profile_picture'), VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateProfilePicture'], CheckValidationError, UpdateProfilePicture);
};
//# sourceMappingURL=preference.js.map