"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const models = require('./../models/index');
const common_1 = __importDefault(require("../helpers/common"));
const responseCodes_1 = require("../helpers/responseCodes");
const { ComparePassword, CreateJwt } = new common_1.default();
class AdminService {
    constructor() {
        this.LoginAdmin = this.LoginAdmin.bind(this);
    }
    //login admin 
    LoginAdmin(req, callback) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const { emailid, password } = req.body;
                if (!emailid) {
                    return callback(null, { 'status': responseCodes_1.HttpCodes['API_FAILURE'], 'msg': 'InvalidEmail', code: responseCodes_1.HttpCodes['BAD_REQUEST'], data: [] });
                }
                let admin = yield models.Admin.findOne({ where: { emailid } });
                if (admin && admin !== undefined) {
                    const passwordMatch = yield ComparePassword(password, admin.password);
                    if (admin && passwordMatch) {
                        // Generate JWT token and return it
                        const token = yield CreateJwt({ admin_id: admin.admin_id });
                        return callback(null, { 'status': responseCodes_1.HttpCodes['API_SUCCESS'], 'msg': 'Login', code: responseCodes_1.HttpCodes['OK'], data: { token } });
                    }
                    else {
                        return callback(null, { 'status': responseCodes_1.HttpCodes['API_FAILURE'], 'msg': 'LoginInvalidValue', code: responseCodes_1.HttpCodes['UNAUTHORIZED'], data: [] });
                    }
                }
                else {
                    return callback(null, { 'status': responseCodes_1.HttpCodes['API_FAILURE'], 'msg': 'EmailNotRegister', code: responseCodes_1.HttpCodes['UNAUTHORIZED'], data: [] });
                }
            }
            catch (error) {
                console.log(error.message, "Login");
                return callback(null, { 'status': responseCodes_1.HttpCodes['API_FAILURE'], 'msg': 'LoginFailed', code: responseCodes_1.HttpCodes['BAD_REQUEST'], data: [] });
            }
        });
    }
}
exports.default = AdminService;
//# sourceMappingURL=admin.services.js.map