"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SwaggerDefinitions {
    constructor() {
        this.definitions = {
            "CommonApiFailed": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    }
                }
            },
            // "AdminLoginReqModel": {
            //   "type": "object",
            //   "properties": {
            //     "emailid": {
            //       "type": "string"
            //     },
            //     "password": {
            //       "type": "string"
            //     }
            //   }
            // },
            // "AdminLoginResModel": {
            //   "type": "object",
            //   "properties": {
            //     "code": {
            //       "type": "integer"
            //     },
            //     "message": {
            //       "type": "string"
            //     },
            //     "data": {
            //       "type": "array",
            //       "items": {
            //         "$ref": "#/definitions/AdminLoginResModelData"
            //       }
            //     }
            //   }
            // },
            // "AdminLoginResModelData": {
            //   "type": "object",
            //   "properties": {
            //     "admin_id": {
            //       "type": "integer"
            //     },
            //     "fullname": {
            //       "type": "string"
            //     },
            //     "emailid": {
            //       "type": "string"
            //     },
            //     "password": {
            //       "type": "string"
            //     },
            //     "role_id": {
            //       "type": "integer"
            //     },
            //     "status": {
            //       "type": "integer"
            //     },
            //     "created_date": {
            //       "type": "integer"
            //     },
            //     "updated_date": {
            //       "type": "integer"
            //     }
            //   }
            // },
            "UserSignupReqModel": {
                "type": "object",
                "properties": {
                    "name": {
                        "type": "string",
                        "default": ""
                    },
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "password": {
                        "type": "string",
                        "format": "password",
                        "default": ""
                    },
                    "device_type": {
                        "type": "integer",
                        "default": 1
                    },
                    "device_token": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                }
            },
            "UserSignupResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UserLoginResModelData"
                        // }
                    }
                }
            },
            "UserActiveAccountResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        "items": {
                            "$ref": "#/definitions/UserLoginResModelData"
                        }
                    }
                }
            },
            "UserLoginResModelData": {
                "type": "object",
                "properties": {
                    "name": {
                        "type": "string",
                        "description": "The username of the user"
                    },
                    "email": {
                        "type": "string",
                        "description": "The email address of the user"
                    },
                }
            },
            "UserLoginReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "password": {
                        "type": "string",
                        "format": "password",
                        "default": ""
                    },
                    "device_type": {
                        "type": "integer",
                        "default": 1
                    },
                    "device_token": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                    "application_version": {
                        "type": "string",
                        "default": ""
                    },
                }
            },
            "UserLoginResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        "items": {
                        // "$ref": "#/definitions/AdminLoginResModelData"
                        }
                    }
                }
            },
            "UserActivationReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UserActivationResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UserLoginResModelData"
                        // }
                    }
                },
            },
            "UserForgotPasswordReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UserForgotPasswordResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UserLoginResModelData"
                        // }
                    }
                },
            },
            "UserResetPasswordReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "password": {
                        "type": "string",
                        "format": "password",
                        "default": ""
                    },
                    "otp": {
                        "type": "integer",
                    },
                },
            },
            "UserResetPasswordResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UserLoginResModelData"
                        // }
                    }
                },
            },
            "UpdateRegionReqModel": {
                "type": "object",
                "properties": {
                    "region": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateRegionResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateLanguageReqModel": {
                "type": "object",
                "properties": {
                    "language_code": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateLanguageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RegisterDeviceReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "serial_number": {
                        "type": "string",
                        "default": ""
                    },
                    "device_type": {
                        "type": "string",
                        "default": ""
                    },
                    "device_token": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 1
                    },
                },
            },
            "RegisterDeviceResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "TransferOwnershipReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "format": "email",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "TransferOwnershipResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UserLogoutReqModel": {
                "type": "object",
                "properties": {
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UserLogoutResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateEmailReqModel": {
                "type": "object",
                "properties": {
                    "email": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateEmailResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdatePasswordReqModel": {
                "type": "object",
                "properties": {
                    "old_password": {
                        "type": "string",
                        "format": "password",
                        "default": ""
                    },
                    "password": {
                        "type": "string",
                        "format": "password",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdatePasswordResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateNameReqModel": {
                "type": "object",
                "properties": {
                    "title": {
                        "type": "string",
                        "default": ""
                    },
                    "name": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateNameResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "DeleteProfileReqModel": {
                "type": "object",
                "properties": {
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "DeleteProfileResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetAdvertisementResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        "items": {
                            "$ref": "#/definitions/GetAdvertisementResModelData"
                        }
                    }
                },
            },
            "GetAdvertisementResModelData": {
                "type": "object",
                "properties": {
                    "title": {
                        "type": "string",
                        "description": "The title of the Advertisement"
                    },
                    "description": {
                        "type": "string",
                        "description": "The description of the Advertisement"
                    },
                }
            },
            "AddSubscriptionReqModel": {
                "type": "object",
                "properties": {
                    "subscription_plan": {
                        "type": "string",
                        "default": ""
                    },
                    "subscription_plan_device_type": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "AddSubscriptionResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetTranslateUserResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetTranslateUserResModelData"
                        // }
                    }
                },
            },
            "GetFriendMasterResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetTranslateUserResModelData"
                        // }
                    }
                },
            },
            "GenerateUserQRReqModel": {
                "type": "object",
                "properties": {
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "GenerateUserQRResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetFriendRequestResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetTranslateUserResModelData"
                        // }
                    }
                },
            },
            "AcceptFriendRequestReqModel": {
                "type": "object",
                "properties": {
                    "invite_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "AcceptFriendRequestResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RejectFriendRequestReqModel": {
                "type": "object",
                "properties": {
                    "invite_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "RejectFriendRequestResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "SendFriendRequestReqModel": {
                "type": "object",
                "properties": {
                    "invite_to_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "SendFriendRequestResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetServicesResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "RemoveFriendReqModel": {
                "type": "object",
                "properties": {
                    "invite_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "RemoveFriendResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateVoicePreferenceReqModel": {
                "type": "object",
                "properties": {
                    "voice_preference": {
                        "type": "string",
                        "default": "default"
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateVoicePreferenceResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetServicesFeatureResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "GetGroupMasterResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "GetFriendsMasterResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "GetGroupInfoResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "UpdateProfilePictureResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "CreateGroupResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetPhraseCategoryResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "GetPhraseResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "UpdateGroupResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RemoveGroupReqModel": {
                "type": "object",
                "properties": {
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2,
                    },
                },
            },
            "RemoveGroupResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RemoveGroupImageReqModel": {
                "type": "object",
                "properties": {
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2,
                    },
                },
            },
            "RemoveGroupImageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetGroupMessageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/GetAdvertisementResModelData"
                        // }
                    }
                },
            },
            "UpdateDeviceTokenReqModel": {
                "type": "object",
                "properties": {
                    "device_token": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateDeviceTokenResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "SendMessageReqModel": {
                "type": "object",
                "properties": {
                    "sender_id": {
                        "type": "integer",
                    },
                    "receiver_id": {
                        "type": "integer",
                    },
                    "reply_message_id": {
                        "type": "integer",
                    },
                    "message": {
                        "type": "string",
                        "default": ""
                    },
                    "language_code": {
                        "type": "string",
                        "default": ""
                    },
                    "receiver_message": {
                        "type": "string",
                        "default": ""
                    },
                    "receiver_language_code": {
                        "type": "string",
                        "default": ""
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "SendMessageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "AddGroupMemberReqModel": {
                "type": "object",
                "properties": {
                    "group_member_id": {
                        "type": "integer",
                    },
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "AddGroupMemberResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RemoveGroupMemberReqModel": {
                "type": "object",
                "properties": {
                    "group_member_id": {
                        "type": "integer",
                    },
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "RemoveGroupMemberResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "StoreGroupMessageReqModel": {
                "type": "object",
                "properties": {
                    "group_id": {
                        "type": "integer",
                    },
                    "tags": {
                        "type": "string"
                    },
                    "reply_message_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                    "group_message": {
                        "type": "array",
                        "items": {
                            "type": "object",
                            "properties": {
                                "language_code": {
                                    "type": "string"
                                },
                                "user_id": {
                                    "type": "integer"
                                },
                                "group_message": {
                                    "type": "string"
                                }
                            },
                            "required": ["language_code", "user_id", "group_message"]
                        },
                        "example": [
                            {
                                "language_code": "en-US",
                                "user_id": 1,
                                "group_message": "Hello from user 1"
                            },
                            {
                                "language_code": "hi-IN",
                                "user_id": 2,
                                "group_message": "नमस्ते from user 2"
                            }
                        ]
                    },
                },
            },
            "StoreGroupMessageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateGroupNameReqModel": {
                "type": "object",
                "properties": {
                    "group_name": {
                        "type": "string"
                    },
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateGroupNameResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateGroupTypeReqModel": {
                "type": "object",
                "properties": {
                    "group_type": {
                        "type": "integer"
                    },
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "UpdateGroupTypeResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "UpdateGroupImageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RemoveGroupMessageReqModel": {
                "type": "object",
                "properties": {
                    "group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "RemoveGroupMessageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "RemoveFriendMessageReqModel": {
                "type": "object",
                "properties": {
                    "friend_group_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "RemoveFriendMessageResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "InsertDocumentResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "ConvertdocResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "GetDocumentResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "uploadcsvResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "SetStartValueResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
            "DeleteDocumentReqModel": {
                "type": "object",
                "properties": {
                    "document_id": {
                        "type": "integer",
                    },
                    "application_type": {
                        "type": "integer",
                        "default": 2
                    },
                },
            },
            "DeleteDocumentResModel": {
                "type": "object",
                "properties": {
                    "code": {
                        "type": "integer"
                    },
                    "message": {
                        "type": "string"
                    },
                    "data": {
                        "type": "array",
                        // "items": {
                        //   "$ref": "#/definitions/UpdateRegionResModel"
                        // }
                    }
                },
            },
        };
    }
}
exports.default = SwaggerDefinitions;
//# sourceMappingURL=definitions.js.map