"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const header_1 = __importDefault(require("./header"));
const header = new header_1.default();
class SwaggerPaths {
    constructor() {
        this.paths = {
            // "/v1/admin/login": {
            //   "post": {
            //     "tags": ["Admin"],
            //     "summary": "Admin Login",
            //     "description": "Admin Login",
            //     "produces": ["application/json"],
            //     "consumes": ["application/json"],
            //     "parameters": [
            //       {
            //         "name": "AdminLoginReqModel",
            //         "description": "Admin login",
            //         "in": "body",
            //         "required": true,
            //         "schema": {
            //           "$ref": "#/definitions/AdminLoginReqModel",
            //         }
            //       }
            //     ],
            //     "responses": {
            //       "200": {
            //         "description": "Return admin login",
            //         "content": {
            //           "application/json": {
            //             "schema": {
            //               "$ref": "#/definitions/AdminLoginResModel"
            //             }
            //           }
            //         }
            //       },
            //       "400": {
            //         "description": "Api Failed",
            //         "content": {
            //           "application/json": {
            //             "schema": {
            //               "$ref": "#/definitions/CommonApiFailed"
            //             }
            //           }
            //         }
            //       }
            //     }
            //   }
            // },
            "/v1/user/signup": {
                "post": {
                    "tags": ["User"],
                    "summary": "User Signup",
                    "description": "User Signup",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "parameters": [
                        {
                            "name": "UserSignupReqModel",
                            "description": "User Signup",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UserSignupReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User Signup",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserSignupResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/user/activate-account": {
                "post": {
                    "tags": ["User"],
                    "summary": "Activate User account",
                    "description": "Activate User account",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "parameters": [
                        {
                            "name": "activation_key",
                            "description": "Activation key",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "string"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User Activate account",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserActiveAccountResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/user/login": {
                "post": {
                    "tags": ["User"],
                    "summary": "User login",
                    "description": "User login",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "parameters": [
                        {
                            "name": "UserLoginReqModel",
                            "description": "User login",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UserLoginReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User login",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserLoginResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/user/resend-activation": {
                "post": {
                    "tags": ["User"],
                    "summary": "User Resend Activation",
                    "description": "User Resend Activation",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "parameters": [
                        {
                            "name": "UserActivationReqModel",
                            "description": "User Resend Activation",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UserActivationReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User Resend Activation",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserActivationResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/user/forgot-password": {
                "post": {
                    "tags": ["User"],
                    "summary": "User Forgot Password",
                    "description": "User Forgot Password",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "parameters": [
                        {
                            "name": "UserForgotPasswordReqModel",
                            "description": "User Forgot Password",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UserForgotPasswordReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User Forgot Password",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserForgotPasswordResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/user/reset-password": {
                "post": {
                    "tags": ["User"],
                    "summary": "User Reset Password",
                    "description": "User Reset Password",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "parameters": [
                        {
                            "name": "UserResetPasswordReqModel",
                            "description": "User Reset Password",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UserResetPasswordReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User Reset Password",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserResetPasswordResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-region": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update Region",
                    "description": "Update Region",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateRegionReqModel",
                            "description": "Update Region",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateRegionReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Region",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateRegionResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-language": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update Language",
                    "description": "Update Language",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateLanguageReqModel",
                            "description": "Update Language",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateLanguageReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Language",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateLanguageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/device/register": {
                "post": {
                    "tags": ["Device"],
                    "summary": "Register Device",
                    "description": "Register Device",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RegisterDeviceReqModel",
                            "description": "Register Device",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RegisterDeviceReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Register Device",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RegisterDeviceResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/user/logout": {
                "post": {
                    "tags": ["User"],
                    "summary": "User Logout",
                    "description": "User Logout",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UserLogoutReqModel",
                            "description": "User Logout",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UserLogoutReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return User Logout",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UserLogoutResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/transfer-ownership": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Transfer Ownership",
                    "description": "Transfer Ownership",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "TransferOwnershipReqModel",
                            "description": "Transfer Ownership",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/TransferOwnershipReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Transfer Ownership",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/TransferOwnershipResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-email": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update Email",
                    "description": "Update Email",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateEmailReqModel",
                            "description": "Update Email",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateEmailReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Email",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateEmailResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-password": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update Password",
                    "description": "Update Password",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdatePasswordReqModel",
                            "description": "Update Password",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdatePasswordReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Password",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdatePasswordResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-name": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update Name",
                    "description": "Update Name",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateNameReqModel",
                            "description": "Update Name",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateNameReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Name",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateNameResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/delete-profile": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Delete Profile",
                    "description": "Delete Profile",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "DeleteProfileReqModel",
                            "description": "Delete Profile",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/DeleteProfileReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Delete Profile",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/DeleteProfileResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/device/get-advertisement": {
                "get": {
                    "tags": ["Device"],
                    "summary": "Get Advertisement",
                    "description": "Get Advertisement",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Get Advertisement",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetAdvertisementResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/subscription/add-subscription": {
                "post": {
                    "tags": ["Subscription"],
                    "summary": "Add Subscription",
                    "description": "Add Subscription",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "AddSubscriptionReqModel",
                            "description": "Add Subscription",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/AddSubscriptionReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Add Subscription",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/AddSubscriptionResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/device/get-translate-user": {
                "get": {
                    "tags": ["Device"],
                    "summary": "Get Translate User",
                    "description": "Get Translate User",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [{
                            "name": "search",
                            "description": "Search value",
                            "in": "query",
                            "required": false,
                            "schema": {
                                "type": "string"
                            }
                        },
                        {
                            "name": "offset",
                            "description": "offset value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }],
                    "responses": {
                        "200": {
                            "description": "Return Get Translate User",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetTranslateUserResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/get-my-friend-message": {
                "get": {
                    "tags": ["Friend Master"],
                    "summary": "Get Friend Master",
                    "description": "Get Friend Master",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "offset",
                            "description": "offset value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Friend Master",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetFriendMasterResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/device/generate-user-qr": {
                "post": {
                    "tags": ["Device"],
                    "summary": "Generate User QR",
                    "description": "Generate User QR",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "GenerateUserQRReqModel",
                            "description": "Generate User QR",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/GenerateUserQRReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Generate User QR",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GenerateUserQRResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/get-all-friend-request": {
                "get": {
                    "tags": ["Friend Master"],
                    "summary": "Get Friend Request",
                    "description": "Get Friend Request",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Friend Request",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetFriendRequestResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/accept-friend-request": {
                "post": {
                    "tags": ["Friend Master"],
                    "summary": "Accept Friend Request",
                    "description": "Accept Friend Request",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "AcceptFriendRequestReqModel",
                            "description": "Accept Friend Request",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/AcceptFriendRequestReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Accept Friend Request",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/AcceptFriendRequestResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/reject-friend-request": {
                "post": {
                    "tags": ["Friend Master"],
                    "summary": "Reject Friend Request",
                    "description": "Reject Friend Request",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RejectFriendRequestReqModel",
                            "description": "Reject Friend Request",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RejectFriendRequestReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Reject Friend Request",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RejectFriendRequestResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/send-friend-request": {
                "post": {
                    "tags": ["Friend Master"],
                    "summary": "Send Friend Request",
                    "description": "Send Friend Request",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "SendFriendRequestReqModel",
                            "description": "Send Friend Request",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/SendFriendRequestReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Send Friend Request",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/SendFriendRequestResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/subscription/get-service": {
                "get": {
                    "tags": ["Subscription"],
                    "summary": "Get Services",
                    "description": "Get Services",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Get Services",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetServicesResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/remove-friend": {
                "post": {
                    "tags": ["Friend Master"],
                    "summary": "Remove Friend",
                    "description": "Remove Friend",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RemoveFriendReqModel",
                            "description": "Remove Friend",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RemoveFriendReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Remove Friend",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RemoveFriendResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-voice-preference": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update VoicePreference",
                    "description": "Update VoicePreference",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateVoicePreferenceReqModel",
                            "description": "Update Voice Preference",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateVoicePreferenceReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Voice Preference",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateVoicePreferenceResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/subscription/get-service-feature": {
                "get": {
                    "tags": ["Subscription"],
                    "summary": "Get Services",
                    "description": "Get Services",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Get Service's Features",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetServicesFeatureResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/list-group": {
                "get": {
                    "tags": ["Group Master"],
                    "summary": "Get Group",
                    "description": "Get Group",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "filter",
                            "description": "filter value eg: All Groups = 0 ,Public Groups = 1,Private Groups = 2,My Groups = 3",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return list Group",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetGroupMasterResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/get-friends": {
                "get": {
                    "tags": ["Friend Master"],
                    "summary": "Get Friends",
                    "description": "Get Friends",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                    ],
                    "responses": {
                        "200": {
                            "description": "Return list Friends",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetFriendsMasterResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/group-info": {
                "get": {
                    "tags": ["Group Master"],
                    "summary": "Get Group info",
                    "description": "Get Group info",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "group_id",
                            "description": " group Id",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Group info ",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetGroupInfoResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/preference/update-profile-picture": {
                "post": {
                    "tags": ["Preference"],
                    "summary": "Update Profile Picture",
                    "description": "Update Profile Picture",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type",
                            "in": "formData",
                            "required": false,
                            "type": "integer",
                            "default": 2 // Default value for application_type
                        },
                        {
                            "name": "user_profile_picture",
                            "description": "File to upload",
                            "in": "formData",
                            "required": true,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Profile Picture",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateProfilePictureResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/create-group": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Create Group",
                    "description": "Create Group",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": []
                        }
                    ],
                    "parameters": [
                        {
                            "name": "group_name",
                            "description": "Group Name",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "group_member_id",
                            "description": "Group Member Id",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "group_type",
                            "description": "Group Type eg 1=Public, 2=Private	",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                            "default": 1
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                            "default": 2
                        },
                        {
                            "name": "group_image",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Create Group",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CreateGroupResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/get-friend-message": {
                "get": {
                    "tags": ["Friend Master"],
                    "summary": "Get Friend Master",
                    "description": "Get Friend Master",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "offset",
                            "description": "offset value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "friend_id",
                            "description": "Friend /sender Id ",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Friend Master",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetFriendMasterResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/phrase/get-phrase-category": {
                "get": {
                    "tags": ["Phrase"],
                    "summary": "Get Phrase Category",
                    "description": "Get Phrase Category",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            },
                        },
                        {
                            "name": "phrase_from",
                            "description": "phrase from value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "string"
                            }
                        },
                        {
                            "name": "phrase_to",
                            "description": "phrase to value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "string"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Phrase Category ",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetPhraseCategoryResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/phrase/get-phrases": {
                "get": {
                    "tags": ["Phrase"],
                    "summary": "Get Phrase",
                    "description": "Get Phrase",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": []
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "category_id",
                            "description": "category Id",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "offset",
                            "description": "offset value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            },
                            "default": 0
                        },
                        {
                            "name": "phrase_from",
                            "description": "phrase from value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "string"
                            }
                        },
                        {
                            "name": "phrase_to",
                            "description": "phrase to value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "string"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Phrases ",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetPhraseResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/update-group": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Update Group",
                    "description": "Update Group",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "group_id",
                            "description": "Group Id",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                        },
                        {
                            "name": "group_name",
                            "description": "Group Name",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "group_member_id",
                            "description": "Group Member Id",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "group_type",
                            "description": "Group Type eg 1=Public, 2=Private	",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                            "default": 1
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                            "default": 2
                        },
                        {
                            "name": "group_image",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Group",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateGroupResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/remove-group": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Remove Group",
                    "description": "Remove Group",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RemoveGroupReqModel",
                            "description": "Remove Group",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RemoveGroupReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return RemoveGroup",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RemoveGroupResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/remove-group-image": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Remove Group Image",
                    "description": "Remove Group Image",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RemoveGroupImageReqModel",
                            "description": "Remove Group Image",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RemoveGroupImageReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return RemoveGroup",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RemoveGroupImageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/group-messages": {
                "get": {
                    "tags": ["Group Master"],
                    "summary": "Get Group Message",
                    "description": "Get Group Message",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        },
                        {
                            "name": "group_id",
                            "description": " group Id",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Group Message ",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetGroupMessageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/device/update-device-token": {
                "post": {
                    "tags": ["Device"],
                    "summary": "Update Device Token",
                    "description": "Update Device Token",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateDeviceTokenReqModel",
                            "description": "Update Device Token",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateDeviceTokenReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Update Device Token",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateDeviceTokenResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/send-message": {
                "post": {
                    "tags": ["Friend Master"],
                    "summary": "Send Message",
                    "description": "Send Message",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "SendMessageReqModel",
                            "description": "Send Message",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/SendMessageReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Send Message",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/SendMessageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/add-group-member": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": " Add Group Member",
                    "description": "Add Group Member",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "AddGroupMemberReqModel",
                            "description": "Add Group Member",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/AddGroupMemberReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Add Group Member",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/AddGroupMemberResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/remove-group-member": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": " Remove Group Member",
                    "description": "Remove Group Member",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RemoveGroupMemberReqModel",
                            "description": "Remove Group Member",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RemoveGroupMemberReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Remove Group Member",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RemoveGroupMemberResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/store-group-messages": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Store Group Message",
                    "description": "Store Group Message",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "StoreGroupMessageReqModel",
                            "description": "Store Group Message",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/StoreGroupMessageReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Store Group Message",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/StoreGroupMessageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/update-group-name": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Update Group Name",
                    "description": "Update Group Name",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateGroupNameReqModel",
                            "description": "Update Group Name",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateGroupNameReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Group Name",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateGroupNameResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/update-group-type": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Update Group Type",
                    "description": "Update Group Type",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "UpdateGroupTypeReqModel",
                            "description": "Update Group Type",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/UpdateGroupTypeReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Group Type",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateGroupTypeResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/update-group-image": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": "Update Group Image",
                    "description": "Update Group Image",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "group_id",
                            "description": "Group Id",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                            "default": 2
                        },
                        {
                            "name": "group_image",
                            "description": "File to upload",
                            "in": "formData",
                            "required": true,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Update Group Image",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/UpdateGroupImageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/groupmaster/remove-group-messages": {
                "post": {
                    "tags": ["Group Master"],
                    "summary": " Remove Group Message",
                    "description": "Remove Group Message",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RemoveGroupMessageReqModel",
                            "description": "Remove Group Message",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RemoveGroupMessageReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Remove Group Message",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RemoveGroupMessageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/friendmaster/remove-friend-message": {
                "post": {
                    "tags": ["Friend Master"],
                    "summary": "Remove Friend Message",
                    "description": "Remove Friend Message",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "RemoveFriendMessageReqModel",
                            "description": "Remove Friend Message",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/RemoveFriendMessageReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Remove Friend Message",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/RemoveFriendMessageResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/document/insert-document": {
                "post": {
                    "tags": ["Document"],
                    "summary": "Insert Document",
                    "description": "Insert Document",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "document_file",
                            "description": "Original File to upload",
                            "in": "formData",
                            "required": true,
                            "type": "file"
                        },
                        {
                            "name": "title",
                            "description": "title",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "from_language_code",
                            "description": "Source language",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "to_language_code",
                            "description": "Target language",
                            "in": "formData",
                            "required": true,
                            "type": "string",
                        },
                        {
                            "name": "application_type",
                            "description": "Application Type",
                            "in": "formData",
                            "required": true,
                            "type": "integer",
                            "default": 2
                        },
                        {
                            "name": "translate_document",
                            "description": "translated File to upload",
                            "in": "formData",
                            "required": true,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Insert Document",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/InsertDocumentResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/document/get-documents": {
                "get": {
                    "tags": ["Document"],
                    "summary": "Get Document",
                    "description": "Get Document",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "application_type",
                            "description": "Application Type value",
                            "in": "query",
                            "required": true,
                            "schema": {
                                "type": "integer"
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return documents ",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/GetDocumentResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-adminuser": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for Admin",
                    "description": "Data Migrate for Admin",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return data",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-advertisement": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for advertisement",
                    "description": "Data Migrate for advertisement",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return data",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-user": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for users",
                    "description": "Data Migrate for users",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return data",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-friendmaster": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for friendmaster",
                    "description": "Data Migrate for friendmaster",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return data",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-friendgroup": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for friendgroup",
                    "description": "Data Migrate for friendgroup",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return data",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-friendmessage": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for friendmessage",
                    "description": "Data Migrate for friendmessage",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return data",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-groupmaster": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for groupmaster",
                    "description": "Data Migrate",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return response",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-groupmessage": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for Group message",
                    "description": "Data Migrate for group message",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return response",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-serialnumber": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for serialnumber",
                    "description": "Data Migrate for serialnumber",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Create Group",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-servicefeature": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for service feature",
                    "description": "Data Migrate for service feature",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return response",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-service": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for service",
                    "description": "Data Migrate for service",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Create Group",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-phrasecategory": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for phrase category",
                    "description": "Data Migrate for phrase category",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return response",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-phrasesubcategory": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for phrase subcategory",
                    "description": "Data Migrate for phrase subcategory",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return response",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/upload-csv-phrase": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "Data Migrate for phrase",
                    "description": "Data Migrate for phrase",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "csvFile",
                            "description": "File to upload",
                            "in": "formData",
                            "required": false,
                            "type": "file"
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Create Group",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/uploadcsvResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/dataMigrate/set-starting-value": {
                "post": {
                    "tags": ["Data Migrate"],
                    "summary": "set start value for old migrated table",
                    "description": "set start value for old migrated table",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [],
                    "responses": {
                        "200": {
                            "description": "Return set start value",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/SetStartValueResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/document/doc-to-pdf": {
                "post": {
                    "tags": ["Document"],
                    "summary": "doc-to-pdf convert",
                    "description": "doc-to-pdf convert",
                    "produces": ["application/json"],
                    "consumes": ["multipart/form-data"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                        }
                    ],
                    "parameters": [
                        {
                            "name": "input",
                            "description": "Original File to upload",
                            "in": "formData",
                            "required": true,
                            "type": "file"
                        },
                    ],
                    "responses": {
                        "200": {
                            "description": "Return  Document",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/ConvertdocResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "/v1/document/delete-document": {
                "post": {
                    "tags": ["Document"],
                    "summary": "Delete Document",
                    "description": "Delete Document",
                    "produces": ["application/json"],
                    "consumes": ["application/json"],
                    "security": [
                        {
                            "apiKeyAuth": [],
                            "deviceToken": [],
                            "applicationType": [],
                            "lang": [] // Add appType to the security section
                        }
                    ],
                    "parameters": [
                        {
                            "name": "DeleteDocumentReqModel",
                            "description": "Delete Document",
                            "in": "body",
                            "required": true,
                            "schema": {
                                "$ref": "#/definitions/DeleteDocumentReqModel",
                            }
                        }
                    ],
                    "responses": {
                        "200": {
                            "description": "Return Delete Document",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/DeleteDocumentResModel"
                                    }
                                }
                            }
                        },
                        "400": {
                            "description": "Api Failed",
                            "content": {
                                "application/json": {
                                    "schema": {
                                        "$ref": "#/definitions/CommonApiFailed"
                                    }
                                }
                            }
                        }
                    }
                }
            },
        };
    }
}
exports.default = SwaggerPaths;
//# sourceMappingURL=paths.js.map