
import { body } from 'express-validator';
const models = require('./../../models/index');
const { Op } = require("sequelize");


module.exports.CreateAdmin = [
  body('fullname').trim().notEmpty().withMessage('FullnameRequired'),
  body('fullname').trim().isLength({min:2}).withMessage('FullnameMinLengthRequired'),
  body('fullname').trim().isLength({max:30}).withMessage('FullnameMaxLengthRequired'),
  body('emailid').trim().notEmpty().withMessage('UserEmailRequired'),
  body('emailid').trim().isEmail().withMessage('ValidEmailFormat'),
  body('emailid').trim().custom(async (value, { req }) => {
    return new Promise<void>((resolve, reject) => {
      return models.Admin.findOne({
        where:{
          emailid: {[Op.eq]: value},
          status: { [Op.eq]: 1 }
        }
      }).then(admin => {
        if (admin && admin !== null && admin !== undefined) {
          return reject();
        } else {
          return resolve();
        }
      }).catch((err) => {
        return reject();
      });
    });
  }).withMessage('ExistUser')
];

module.exports.AdminLogin = [
  body('emailid').trim().isEmail().withMessage('ValidEmailFormat'),
  body('password').trim().notEmpty().withMessage('PasswordRequired'),
];

