
import {body } from 'express-validator';
const models = require('./../../models/index');
const { Op } = require("sequelize");

const validateGroupImage = (value, { req }) => {
  if (!req.file) {
    throw new Error('ImageRequired');
  }
  return true;
};

module.exports.AcceptFriendRequest = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('invite_id').trim().notEmpty().withMessage('InviteIdRequired'),
];
module.exports.RejectFriendRequest = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('invite_id').trim().notEmpty().withMessage('InviteIdRequired'),
];
module.exports.SendFriendRequest = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('invite_to_id').trim().notEmpty().withMessage('InviteToIdRequired'),
];
module.exports.RemoveFriend = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('invite_id').trim().notEmpty().withMessage('InviteIdRequired'),
];
module.exports.SendMessage = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('sender_id').trim().notEmpty().withMessage('SenderIdRequired'),
  body('receiver_id').trim().notEmpty().withMessage('ReceiverIdRequired'),
  body('message').trim().notEmpty().withMessage('MessageRequired'),
  body('language_code').trim().notEmpty().withMessage('LanguageCodeRequired'),
];

module.exports.RemoveFriendMessage = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('friend_group_id').trim().notEmpty().withMessage('FriendGroupIdRequired'),
];


