
import {body } from 'express-validator';
const models = require('./../../models/index');
const { Op } = require("sequelize");

const validateGroupImage = (value, { req }) => {
  if (!req.file) {
    throw new Error('ImageRequired');
  }
  return true;
};

module.exports.createGroup = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  // body('group_member_id').trim().notEmpty().withMessage('groupMemberIdRequired'),
  body('group_type').trim().notEmpty().withMessage('groupTypeRequired'),
  body('group_name').trim().notEmpty().withMessage('groupNameRequired'),
  // body('group_image').custom(validateGroupImage),
];
module.exports.UpdateGroup = [
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('group_member_id').trim().notEmpty().withMessage('groupMemberIdRequired'),
  body('group_type').trim().notEmpty().withMessage('groupTypeRequired'),
  body('group_name').trim().notEmpty().withMessage('groupNameRequired'),
  // body('group_image').custom(validateGroupImage),
];
module.exports.Member = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('group_member_id').trim().notEmpty().withMessage('groupMemberIdRequired'),
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
];
module.exports.StoreGroupMessages = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  // body('group_message').trim().notEmpty().withMessage('groupMessageRequired'),
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
  // body('language_code').trim().notEmpty().withMessage('LanguageCodeRequired'),
];
module.exports.UpdateGroupName = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
  body('group_name').trim().notEmpty().withMessage('groupNameRequired'),

];
module.exports.UpdateGroupImage = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
  body('group_image').custom(validateGroupImage),

];
module.exports.UpdateGroupType = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
  body('group_type').trim().notEmpty().withMessage('groupTypeRequired'),

];
module.exports.RemoveGroupMessages = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('group_id').trim().notEmpty().withMessage('groupIdRequired'),
];
