
import { body } from 'express-validator';
const models = require('./../../models/index');
const { Op } = require("sequelize");

const validateImage = (value, { req }) => {
  if (!req.file) {
    throw new Error('ImageRequired');
  }
  return true;
};

module.exports.UpdateRegion = [
  body('user_id').trim().notEmpty().withMessage('UserIDRequired'),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('region').trim().notEmpty().withMessage('RegionRequired'),
];
module.exports.UpdateLanguage = [
  body('user_id').trim().notEmpty().withMessage('UserIDRequired'),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('language_code').trim().notEmpty().withMessage('languageCodeRequired'),
];
module.exports.TransferOwnership = [
  body('email').trim().notEmpty().withMessage('EmailRequired'),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
module.exports.UpdatePassword = [
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
  body('old_password').trim().notEmpty().withMessage('old_passwordRequired'),
  body('password').trim().notEmpty().withMessage('PasswordRequired'),
  body('password').trim().isLength({ min: 8 }).withMessage('PasswordMinLengthRequired'),
  body('password').matches(/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[\W_]).{8,}$/).withMessage('PasswordComplexityRequired'),
  // body('password').matches(/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[!@#$%^&*]).{8,}$/).withMessage('PasswordComplexityRequired'),
];
module.exports.UpdateName = [
  body('name').trim().notEmpty().withMessage('EmailRequired'),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
module.exports.UpdateVoice = [
  body('voice_preference').trim().notEmpty().withMessage('voicePreferenceRequired'),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
module.exports.UpdateProfilePicture = [
  body('user_profile_picture').custom(validateImage),
  body('application_type').trim().notEmpty().withMessage('ApplicationTypeRequired'),
];
