'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('user_registration', {
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
      },
      user_name: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      user_email: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      user_password: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      profile_picture: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      user_login_type: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      title: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      registered_from: {
        type: Sequelize.STRING(10),
        allowNull: true,
      },
      facebook_id: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      google_plus_id: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      twitter_id: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      activation_key: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      is_verified: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      is_translate_app: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      is_mymanuplay_app: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      push_notification: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:1
      },
      device_token: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      device_token_translate: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      device_type: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      device_type_translate: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      is_deleted: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:1
        // 0= Deleted, 1= Not Deleted
      },
      status: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:1
      },
      is_login: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      is_login_translate: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      login_access_token: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      login_access_token_translate: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      is_post_activity: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:0
      },
      block_for_chat: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue:1
      },
      language_code: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      user_qr_image: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      region:{
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      subscription_plan: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      subscription_plan_device_type: {
        type: Sequelize.STRING(255),
        allowNull: true,
      },
      subscribed_on: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      voice_preference: {
        type: Sequelize.STRING(255),
        allowNull: false,
        defaultValue:'Default'
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      is_deleted_translate:{
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue:0
      },
      otp:{
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'user_registration',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('user_registration');
  }
};