'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('friend_master', {
      invite_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      invite_from_id: {
        type: Sequelize.INTEGER
      },
      invite_to_id: {
        type: Sequelize.INTEGER
      },
      is_invite_sent: {
        type: Sequelize.INTEGER
      },
      is_friend: {
        type: Sequelize.INTEGER,
        defaultValue:0
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'friend_master',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('friend_master');
  }
};