'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('advertisement_master', {
      advertisement_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      advertisement_image: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      advertisement_link: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      sort_order: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      status: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        // 0=Disable, 1=Enable
      },
      is_discover: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        //0=No, 1=Yes
      },
      title: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      description: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
    {
      tableName: 'advertisement_master',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('advertisement_master');
  }
};