'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('event_announcement', {
      announcement_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      event_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      announcement: {
        type: Sequelize.TEXT,
        allowNull: true,
      },
      attachment_type: {
        type: Sequelize.INTEGER,
        allowNull: false,
        // 0=No Attachment, 1=Image, 2=Audio
      },
      attachment_url: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      audio_duration: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'event_announcement',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('event_announcement');
  }
};