'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('event_master', {
      event_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      event_name: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      event_image: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      event_owner_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      event_speaker_id: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      event_venue: {
        type: Sequelize.TEXT,
        allowNull: false,
      },
      event_type: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1
        // 1=Public, 2=Private
      },
      event_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'event_master',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('event_master');
  }
};