'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('find_translator', {
      call_request_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      translator_user_id: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      source_language: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      target_language: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      is_accepted: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        // 0 = Initiate, 1 = Accept, 2 = Cancel
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'find_translator',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('find_translator');
  }
};