'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('firmware_upgrade', {
      upgrade_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      upgrade_name: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      upgrade_file_name: {
        type: Sequelize.TEXT,
        allowNull: true,
      },
      upgrade_version: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      file_size: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      is_deleted: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'firmware_upgrade',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('firmware_upgrade');
  }
};