'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('friend_message', {
      friend_message_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      friend_group_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      sender_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      receiver_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      message: {
        type: Sequelize.TEXT,
        allowNull: true,
      },
      sender_deleted: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        // 0 = not deleted, 1 = deleted
      },
      receiver_deleted: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        // 0 = not deleted, 1 = deleted
      },
      reply_message_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
        defaultValue: 0
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
    {
      tableName: 'friend_message',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('friend_message');
  }
};