'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('group_master', {
      group_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      group_name: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      group_image: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      group_owner_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      // group_member_id: {
      //   type: Sequelize.STRING,
      //   allowNull: true,
      // },
      group_type: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1
        // 1=Public, 2=Private
      },
      group_qr_image: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
    {
      tableName: 'group_master',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('group_master');
  }
};