'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('group_message', {
      group_message_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      group_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      sender_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      group_message: {
        type: Sequelize.TEXT,
        allowNull: false,
      },
      is_deleted: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        // 0 = not deleted, 1 = deleted	
      },
      public_deleted_flag: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0
        // 0 = not deleted, 1 = deleted	
      },
      deleted_by: {
        type: Sequelize.TEXT,
        allowNull: true,
      },
      reply_message_id: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
      tags: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
    {
      tableName: 'group_message',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('group_message');
  }
};