'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('orders', {
      order_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      service_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      amount: {
        type: Sequelize.FLOAT,
        allowNull: false,
      },
      payment_with: {
        type: Sequelize.INTEGER,
        allowNull: false,
        // 1 = PayPal, 2 = Stripe
      },
      payment_type: {
        type: Sequelize.INTEGER,
        allowNull: false,
        // 1 = Recurring, 2 = One Time
      },
      transaction_id: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      profile_id: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      subscription_status: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1
        // 1 = Subscribed, 0 = Cancelled
      },
      cancel_at: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      tenure: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      status: {
        type: Sequelize.INTEGER,
        allowNull: false,
        // 0 = Failed, 1 = Success	
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
    {
      tableName: 'orders',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('orders');
  }
};