'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('paypal_settings', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      payment_mode: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1
        // 1 = Sandbox, 2 = Live
      },
      currency_code: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      merchant_email_live: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      username_live: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      password_live: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      signature_live: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      merchant_email_sandbox: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      username_sandbox: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      password_sandbox: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      signature_sandbox: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      success_url: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      cancel_url: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      status: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1,
        // 0 = Disable, 1 = Enable
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
    {
      tableName: 'paypal_settings',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('paypal_settings');
  }
};