'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('services', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
},
service_title: {
        type: Sequelize.STRING,
        allowNull: false,
},
service_image: {
        type: Sequelize.STRING,
        allowNull: false,
},
service_price: {
        type: Sequelize.STRING,
        allowNull: false,
},
service_short_description: {
        type: Sequelize.STRING,
        allowNull: false,
},
service_description: {
        type: Sequelize.TEXT,
        allowNull: false,
},
service_status: {
        type: Sequelize.INTEGER,
        allowNull: false,
},
// feature_id: {
//         type: Sequelize.INTEGER,
//         allowNull: true
// },
created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
},
updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
}
    },
    {
      tableName: 'services',
      freezeTableName: true
    });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('services');
  }
};