'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('rights', {
      rights_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      rights_name: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      rights_code: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      sequence_no: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      parent_no: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      status: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
      {
        tableName: 'rights',
        freezeTableName: true
      });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('rights');
  }
};