'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('stripe_settings', {
      id: {
        type: Sequelize.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
      },
      payment_mode: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1,
      },
      currency_code: {
        type: Sequelize.STRING(3),
        allowNull: true,
        defaultValue: null,
      },
      live_secret: {
        type: Sequelize.STRING,
        allowNull: true,
        defaultValue: null,
      },
      live_publishable: {
        type: Sequelize.STRING,
        allowNull: true,
        defaultValue: null,
      },
      live_subscription_plan_id: {
        type: Sequelize.STRING,
        allowNull: true,
        defaultValue: null,
      },
      test_secret: {
        type: Sequelize.STRING,
        allowNull: true,
        defaultValue: null,
      },
      test_publishable: {
        type: Sequelize.STRING,
        allowNull: true,
        defaultValue: null,
      },
      test_subscription_plan_id: {
        type: Sequelize.STRING,
        allowNull: true,
        defaultValue: null,
      },
      status: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 1,
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
    },
      {
        tableName: 'stripe_settings',
        freezeTableName: true
      });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('stripe_settings');
  }
};