'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('translator_call_details', {
      translator_call_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      translator_user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      call_request_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      is_request_accepted: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      friends_ids: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      source_language: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      target_language: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      start_time: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      end_time: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      no_of_people: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      price: {
        type: Sequelize.FLOAT,
        allowNull: false,
      },
      call_duration_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
      {
        tableName: 'translator_call_details',
        freezeTableName: true
      });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('translator_call_details');
  }
};