'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('user_verification', {
      user_verification_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
      },
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      is_phone_verified: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,

      },
      proof_type_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      id_holder_name: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      front_side_image: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      back_side_image: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      selfie_with_idproof: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      degree_type: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      degree_name: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      experience: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      is_admin_verified_system: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
      },
      is_admin_verified_photo_id_proof: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
      },
      is_admin_verified_uploaded_selfie: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
      },
      is_admin_verified_education: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      },
    },
      {
        tableName: 'user_verification',
        freezeTableName: true
      });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('user_verification');
  }
};