'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addConstraint('group_message', {
      type: 'foreign key',
      fields: ['group_id'],
      references: {
        table: 'group_master',
        field: 'group_id'
      },
      onDelete: 'CASCADE'
    });
    await queryInterface.addConstraint('group_message', {
      type: 'foreign key',
      fields: ['user_id'],
      references: {
        table: 'user_registration',
        field: 'user_id'
      },
      onDelete: 'CASCADE'
    });
    await queryInterface.addConstraint('group_message', {
      type: 'foreign key',
      fields: ['sender_id'],
      references: {
        table: 'user_registration',
        field: 'user_id'
      },
      onDelete: 'CASCADE'
    });

  },
  async down(queryInterface, Sequelize) {
    await queryInterface.removeColumn('group_message', 'group_id');
    await queryInterface.removeColumn('group_message', 'user_id');
    await queryInterface.removeColumn('group_message', 'sender_id');

  }
};