'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('documents', {
      document_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
      },
      user_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      title: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      original_document: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      translate_document: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      from_language_code: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      to_language_code: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      created_date: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: Sequelize.INTEGER,
        allowNull: true,
      }
    },
      {
        tableName: 'documents',
        freezeTableName: true
      });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('documents');
  }
};