'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('manage_app_versions', {
      app_version_id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      app_name: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      store_type: {
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      application_type:{
        type: Sequelize.INTEGER,
        allowNull: false,
      },
      current_version: {
        type: Sequelize.STRING,
        allowNull: false,
      },
      res_msg: {
        type: Sequelize.STRING,
        allowNull: true,
      },
      created_date: {
        allowNull: false,
        type: Sequelize.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: Sequelize.INTEGER
      }
    },
      {
        tableName: 'manage_app_versions',
        freezeTableName: true
      });
  },
  async down(queryInterface, Sequelize) {
    await queryInterface.dropTable('manage_app_versions');
  }
};