'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class EventAnnouncement extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  EventAnnouncement.init({
    announcement_id: {
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
      type: DataTypes.INTEGER
    },
    event_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    user_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    announcement: {
      type: DataTypes.TEXT,
      allowNull: true,
    },
    attachment_type: {
      type: DataTypes.INTEGER,
      allowNull: false,
      // 0=No Attachment, 1=Image, 2=Audio
    },
    attachment_url: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    audio_duration: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    }
  }, {
    sequelize,
    modelName: "EventAnnouncement",
    tableName: 'event_announcement',
    timestamps: false
  });
  return EventAnnouncement;
};