'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class EventMaster extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  EventMaster.init({
    event_id: {
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
      type: DataTypes.INTEGER
    },
    event_name: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    event_image: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    event_owner_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    event_speaker_id: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    event_venue: {
      type: DataTypes.TEXT,
      allowNull: false,
    },
    event_type: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1
      // 1=Public, 2=Private
    },
    event_date: {
      allowNull: false,
      type: DataTypes.INTEGER
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    }
  }, {
    sequelize,
    modelName: "EventMaster",
    tableName: 'event_master',
    timestamps: false
  });
  return EventMaster;
};