'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class FriendMaster extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
      FriendMaster.belongsTo(models.User, {as: 'sender',foreignKey: 'invite_from_id'});
      FriendMaster.belongsTo(models.User, {as: 'inviteTo',foreignKey: 'invite_to_id'});
    }
  }
  FriendMaster.init({
    invite_id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
    },
    invite_from_id: {
        type: DataTypes.INTEGER,
        allowNull: true,
    },
    invite_to_id: {
        type: DataTypes.INTEGER,
        allowNull: true,
    },
    is_invite_sent: {
        type: DataTypes.INTEGER,
        allowNull: true,
    },
    is_friend: {
        type: DataTypes.INTEGER,
        allowNull: true,
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    }
  }, {
    sequelize,
    modelName: "FriendMaster",
    tableName: 'friend_master',
    timestamps: false,
  });
  return FriendMaster;
};