'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class ManageAppVersions extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  ManageAppVersions.init({
    app_version_id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
      },
      app_name: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      store_type: {
        type: DataTypes.INTEGER,
        allowNull: false,
      },
      application_type:{
        type: DataTypes.INTEGER,
        allowNull: false,
      },
      current_version: {
        type: DataTypes.STRING,
        allowNull: false,
      },
      res_msg: {
        type: DataTypes.STRING,
        allowNull: true,
      },
      created_date: {
        allowNull: false,
        type: DataTypes.INTEGER
      },
      updated_date: {
        allowNull: true,
        type: DataTypes.INTEGER
      }
  }, {
    sequelize,
    modelName: "ManageAppVersions",
    tableName: 'manage_app_versions',
    timestamps: false,
  });
  return ManageAppVersions;
};