'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class Orders extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  Orders.init({
    order_id: {
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
      type: DataTypes.INTEGER
    },
    user_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    service_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    amount: {
      type: DataTypes.FLOAT,
      allowNull: false,
    },
    payment_with: {
      type: DataTypes.INTEGER,
      allowNull: false,
      // 1 = PayPal, 2 = Stripe
    },
    payment_type: {
      type: DataTypes.INTEGER,
      allowNull: false,
      // 1 = Recurring, 2 = One Time
    },
    transaction_id: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    profile_id: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    subscription_status: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1
      // 1 = Subscribed, 0 = Cancelled
    },
    cancel_at: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    tenure: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    status: {
      type: DataTypes.INTEGER,
      allowNull: false,
      // 0 = Failed, 1 = Success	
    },
    created_date: {
      allowNull: false,
      type: DataTypes.INTEGER
    },
    updated_date: {
      allowNull: true,
      type: DataTypes.INTEGER
    }
  }, {
    sequelize,
    modelName: "Orders",
    tableName: 'orders',
    timestamps: false
  });
  return Orders;
};