'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class PaypalSettings extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  PaypalSettings.init({
    id: {
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
      type: DataTypes.INTEGER
    },
    payment_mode: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1
      // 1 = Sandbox, 2 = Live
    },
    currency_code: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    merchant_email_live: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    username_live: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    password_live: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    signature_live: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    merchant_email_sandbox: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    username_sandbox: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    password_sandbox: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    signature_sandbox: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    success_url: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    cancel_url: {
      type: DataTypes.STRING,
      allowNull: true,
    },
    status: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1,
      // 0 = Disable, 1 = Enable
    },
    created_date: {
      allowNull: false,
      type: DataTypes.INTEGER
    },
    updated_date: {
      allowNull: true,
      type: DataTypes.INTEGER
    }
  }, {
    sequelize,
    modelName: "PaypalSettings",
    tableName: 'paypal_settings',
    timestamps: false
  });
  return PaypalSettings;
};