'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class Rights extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  Rights.init({
    rights_id: {
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
      type: DataTypes.INTEGER
    },
    rights_name: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    rights_code: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    sequence_no: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    parent_no: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    status: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1
    },
    created_date: {
      allowNull: false,
      type: DataTypes.INTEGER
    },
    updated_date: {
      allowNull: true,
      type: DataTypes.INTEGER
    }
  }, {
    sequelize,
    modelName: "Rights",
    tableName: 'rights',
    timestamps: false
  });
  return Rights;
};