'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class Role extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  Role.init({
    role_id: {
        type: DataTypes.INTEGER,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
      },
      role_name: {
        type: DataTypes.STRING(255),
        allowNull: false
      },
      rights: {
        type: DataTypes.TEXT,
        allowNull: false
      },
      status: {
        type: DataTypes.INTEGER,
        allowNull: false,
        defaultValue: 1
      },
      created_date: {
        type: DataTypes.INTEGER,
        allowNull: false,
      },
      updated_date: {
        type: DataTypes.INTEGER,
        allowNull: true,
      },
    }, {
      sequelize,
      modelName: 'Role',
      tableName: 'role',
      timestamps: false
    });
    return Role;
};