'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class ServiceFeature extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
    ServiceFeature.belongsToMany(models.Services, {
        through: models.ServiceFeatureData,
        foreignKey: 'feature_id',
        otherKey: 'service_id',
        as: 'Services',
      });
    }
  }
  ServiceFeature.init({
    feature_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    feature: {
      type: DataTypes.STRING,
      allowNull: false
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    },
  }, {
    sequelize,
    modelName: 'ServiceFeature',
    tableName: 'service_feature',
    timestamps: false
  });
  return ServiceFeature;
};