'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class StripeSettings extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  StripeSettings.init({
    id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    payment_mode: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1,
    },
    currency_code: {
      type: DataTypes.STRING(3),
      allowNull: true,
      defaultValue: null,
    },
    live_secret: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    live_publishable: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    live_subscription_plan_id: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    test_secret: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    test_publishable: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    test_subscription_plan_id: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    status: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1,
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    },
  }, {
    sequelize,
    modelName: 'StripeSettings',
    tableName: 'stripe_settings',
    timestamps: false
  });
  return StripeSettings;
};