'use strict';
import {
          Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
          class TranslatorCallDetails extends Model {
                    /**
                     * Helper method for defining associations.
                     * This method is not a part of Sequelize lifecycle.
                     * The `models/index` file will call this method automatically.
                     */
                    static associate(models) {
                              // define association here
                    }
          }
          TranslatorCallDetails.init({
                    translator_call_id: {
                              allowNull: false,
                              autoIncrement: true,
                              primaryKey: true,
                              type: DataTypes.INTEGER
                    },
                    translator_user_id: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    call_request_id: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    is_request_accepted: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    friends_ids: {
                              type: DataTypes.STRING,
                              allowNull: false,
                    },
                    source_language: {
                              type: DataTypes.STRING,
                              allowNull: false,
                    },
                    target_language: {
                              type: DataTypes.STRING,
                              allowNull: false,
                    },
                    start_time: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    end_time: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    no_of_people: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    price: {
                              type: DataTypes.FLOAT,
                              allowNull: false,
                    },
                    call_duration_id: {
                              type: DataTypes.INTEGER,
                              allowNull: false,
                    },
                    created_date: {
                              allowNull: false,
                              type: DataTypes.INTEGER
                    },
                    updated_date: {
                              type: DataTypes.INTEGER,
                              allowNull: true,
                    }
          }, {
                    sequelize,
                    modelName: "TranslatorCallDetails",
                    tableName: 'translator_call_details',
                    timestamps: false
          });
          return TranslatorCallDetails;
};