'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class TranslatorRegistration extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  TranslatorRegistration.init({
    user_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    user_name: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    user_email: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    user_password: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    contact_number: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    profile_picture: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    user_login_type: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    activation_key: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    is_verified: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    push_notification: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1,
    },
    device_token: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    device_type: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    login_access_token: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    is_login: {
      type: DataTypes.INTEGER,
      allowNull: true,
      defaultValue: null,
    },
    application_version: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    is_online: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1,
    },
    user_languages: {
      type: DataTypes.TEXT,
      allowNull: true,
    },
    quickblox_id: {
      type: DataTypes.STRING,
      allowNull: true,
      defaultValue: null,
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    },
    is_deleted: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 1,
    },
  }, {
    sequelize,
    modelName: 'TranslatorRegistration',
    tableName: 'translator_registration',
    timestamps: false
  });
  return TranslatorRegistration;
};