'use strict';
import {
  Model
} from 'sequelize';
module.exports = (sequelize, DataTypes) => {
  class UserVerification extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  UserVerification.init({
    user_verification_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    user_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    is_phone_verified: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,

    },
    proof_type_id: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    id_holder_name: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    front_side_image: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    back_side_image: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    selfie_with_idproof: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    degree_type: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    degree_name: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    experience: {
      type: DataTypes.STRING,
      allowNull: false,
    },
    is_admin_verified_system: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    is_admin_verified_photo_id_proof: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    is_admin_verified_uploaded_selfie: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    is_admin_verified_education: {
      type: DataTypes.INTEGER,
      allowNull: false,
      defaultValue: 0,
    },
    created_date: {
      type: DataTypes.INTEGER,
      allowNull: false,
    },
    updated_date: {
      type: DataTypes.INTEGER,
      allowNull: true,
    },
  }, {
    sequelize,
    modelName: 'UserVerification',
    tableName: 'user_verification',
    timestamps: false
  });
  return UserVerification;
};