/*
 * SendinBlue API
 * SendinBlue provide a RESTFul API that can be used with any languages. With this API, you will be able to :   - Manage your campaigns and get the statistics   - Manage your contacts   - Send transactional Emails and SMS   - and much more...  You can download our wrappers at https://github.com/orgs/sendinblue  **Possible responses**   | Code | Message |   | :-------------: | ------------- |   | 200  | OK. Successful Request  |   | 201  | OK. Successful Creation |   | 202  | OK. Request accepted |   | 204  | OK. Successful Update/Deletion  |   | 400  | Error. Bad Request  |   | 401  | Error. Authentication Needed  |   | 402  | Error. Not enough credit, plan upgrade needed  |   | 403  | Error. Permission denied  |   | 404  | Error. Object does not exist |   | 405  | Error. Method not allowed  |   | 406  | Error. Not Acceptable  | 
 *
 * OpenAPI spec version: 3.0.0
 * Contact: contact@sendinblue.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.26
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.SibApiV3Sdk) {
      root.SibApiV3Sdk = {};
    }
    root.SibApiV3Sdk.AbTestVersionStats = factory(root.SibApiV3Sdk.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The AbTestVersionStats model module.
   * @module model/AbTestVersionStats
   * @version 8.5.0
   */

  /**
   * Constructs a new <code>AbTestVersionStats</code>.
   * Percentage of a particular event for both versions
   * @alias module:model/AbTestVersionStats
   * @class
   * @param versionA {String} percentage of an event for version A
   * @param versionB {String} percentage of an event for version B
   */
  var exports = function(versionA, versionB) {
    this.versionA = versionA;
    this.versionB = versionB;
  };

  /**
   * Constructs a <code>AbTestVersionStats</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/AbTestVersionStats} obj Optional instance to populate.
   * @return {module:model/AbTestVersionStats} The populated <code>AbTestVersionStats</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('Version A'))
        obj.versionA = ApiClient.convertToType(data['Version A'], 'String');
      if (data.hasOwnProperty('Version B'))
        obj.versionB = ApiClient.convertToType(data['Version B'], 'String');
    }
    return obj;
  }

  /**
   * percentage of an event for version A
   * @member {String} versionA
   */
  exports.prototype.versionA = undefined;

  /**
   * percentage of an event for version B
   * @member {String} versionB
   */
  exports.prototype.versionB = undefined;


  return exports;

}));
