/*
 * SendinBlue API
 * SendinBlue provide a RESTFul API that can be used with any languages. With this API, you will be able to :   - Manage your campaigns and get the statistics   - Manage your contacts   - Send transactional Emails and SMS   - and much more...  You can download our wrappers at https://github.com/orgs/sendinblue  **Possible responses**   | Code | Message |   | :-------------: | ------------- |   | 200  | OK. Successful Request  |   | 201  | OK. Successful Creation |   | 202  | OK. Request accepted |   | 204  | OK. Successful Update/Deletion  |   | 400  | Error. Bad Request  |   | 401  | Error. Authentication Needed  |   | 402  | Error. Not enough credit, plan upgrade needed  |   | 403  | Error. Permission denied  |   | 404  | Error. Object does not exist |   | 405  | Error. Method not allowed  |   | 406  | Error. Not Acceptable  | 
 *
 * OpenAPI spec version: 3.0.0
 * Contact: contact@sendinblue.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.26
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.SibApiV3Sdk) {
      root.SibApiV3Sdk = {};
    }
    root.SibApiV3Sdk.Body2 = factory(root.SibApiV3Sdk.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Body2 model module.
   * @module model/Body2
   * @version 8.5.0
   */

  /**
   * Constructs a new <code>Body2</code>.
   * @alias module:model/Body2
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Body2</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Body2} obj Optional instance to populate.
   * @return {module:model/Body2} The populated <code>Body2</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('linkContactIds'))
        obj.linkContactIds = ApiClient.convertToType(data['linkContactIds'], ['Number']);
      if (data.hasOwnProperty('unlinkContactIds'))
        obj.unlinkContactIds = ApiClient.convertToType(data['unlinkContactIds'], ['Number']);
      if (data.hasOwnProperty('linkDealsIds'))
        obj.linkDealsIds = ApiClient.convertToType(data['linkDealsIds'], ['String']);
      if (data.hasOwnProperty('unlinkDealsIds'))
        obj.unlinkDealsIds = ApiClient.convertToType(data['unlinkDealsIds'], ['String']);
    }
    return obj;
  }

  /**
   * Contact ids for contacts to be linked with company
   * @member {Array.<Number>} linkContactIds
   */
  exports.prototype.linkContactIds = undefined;

  /**
   * Contact ids for contacts to be unlinked from company
   * @member {Array.<Number>} unlinkContactIds
   */
  exports.prototype.unlinkContactIds = undefined;

  /**
   * Deals ids for deals to be linked with company
   * @member {Array.<String>} linkDealsIds
   */
  exports.prototype.linkDealsIds = undefined;

  /**
   * Deals ids for deals to be unlinked from company
   * @member {Array.<String>} unlinkDealsIds
   */
  exports.prototype.unlinkDealsIds = undefined;


  return exports;

}));
