const path = require('path')
import DataMigrateController from "../../controllers/datamigration.controller";
import commonHelper from "../../helpers/common";
const { UploadCSV ,UploadCSVGroupMessage,UploadCSVUsers,UploadCSVFriendMessage,UploadCSVFriendGroup,UploadCSVFriendMaster,UploadCSVAdvertisement,UploadCSVAdminuser,UploadCSVSerialnumber,UploadCSVServicefeature,UploadCSVService,UploadCSVPhrasecategory,UploadCSVPhrasesubcategory,UploadCSVPhrase,SetStartingValue} = new DataMigrateController();
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { CheckValidationError} = new commonHelper();

module.exports = function (router) {
    //group master
    router.post('/upload-csv-groupmaster', upload.single('csvFile'), CheckValidationError,  UploadCSV);
    //group message
    router.post('/upload-csv-groupmessage', upload.single('csvFile'),CheckValidationError,  UploadCSVGroupMessage);
    //user data 
    router.post('/upload-csv-user', upload.single('csvFile'),CheckValidationError,  UploadCSVUsers);
    //friend message
    router.post('/upload-csv-friendmessage', upload.single('csvFile'),CheckValidationError,  UploadCSVFriendMessage);
    //friend group
    router.post('/upload-csv-friendgroup', upload.single('csvFile'),CheckValidationError,  UploadCSVFriendGroup);
    // friend master
    router.post('/upload-csv-friendmaster', upload.single('csvFile'),CheckValidationError,  UploadCSVFriendMaster);
    //upload advertisement master
    router.post('/upload-csv-advertisement', upload.single('csvFile'),CheckValidationError,  UploadCSVAdvertisement);
    //upload admin users
    router.post('/upload-csv-adminuser', upload.single('csvFile'),CheckValidationError,  UploadCSVAdminuser);
    //device serial number
    router.post('/upload-csv-serialnumber', upload.single('csvFile'),CheckValidationError,  UploadCSVSerialnumber);
    //service feature
    router.post('/upload-csv-servicefeature', upload.single('csvFile'),CheckValidationError,  UploadCSVServicefeature);
    // services & service feature data
    router.post('/upload-csv-service', upload.single('csvFile'),CheckValidationError,  UploadCSVService);
    //get phrases category
    router.post('/upload-csv-phrasecategory', upload.single('csvFile'),CheckValidationError,  UploadCSVPhrasecategory);
    // get phrase sub category
    router.post('/upload-csv-phrasesubcategory', upload.single('csvFile'),CheckValidationError,  UploadCSVPhrasesubcategory);
    //get phrases
    router.post('/upload-csv-phrase', upload.single('csvFile'),CheckValidationError,  UploadCSVPhrase);
    //set starting index due to data migration
    router.post('/set-starting-value', CheckValidationError,  SetStartingValue);
}