const path = require('path')
import DeviceController from "../../controllers/device.controller";
import commonHelper from "../../helpers/common";
import * as DeviceValidation from '../../helpers/validation/device.validation';
const { RegisterDevice, GetAdvertisement, GetTranslateUser, GenerateUserQR, UpdateDeviceToken } = new DeviceController();
const { CheckValidationError, VerifyJwt, VerifyAccountActive,appVersionCheck } = new commonHelper();

module.exports = function (router) {
    //register device 
    router.post('/register', VerifyJwt, VerifyAccountActive, appVersionCheck,DeviceValidation['DeviceRegister'], CheckValidationError, RegisterDevice);
    // get Advertisement
    router.get('/get-advertisement', VerifyJwt, VerifyAccountActive, appVersionCheck,CheckValidationError, GetAdvertisement);
    // getTranslateUser
    router.get('/get-translate-user', VerifyJwt, VerifyAccountActive, CheckValidationError, GetTranslateUser);
    //generateUserQR
    router.post('/generate-user-qr', VerifyJwt, VerifyAccountActive, CheckValidationError, GenerateUserQR);
    //updateDeviceToken
    router.post('/update-device-token', VerifyJwt, VerifyAccountActive, DeviceValidation['UpdateToken'], CheckValidationError, UpdateDeviceToken);
}