const path = require('path')
import DocumentController from "../../controllers/document.controller";
import commonHelper from "../../helpers/common";
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { insertDocument, GetDocuments,DocToPdfConvert,DeleteDocument } = new DocumentController;
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new commonHelper();

module.exports = function (router) {
    //insert doc
    router.post('/insert-document', upload.any(), VerifyJwt, CheckValidationError, insertDocument);
    //get doc
    router.get('/get-documents', VerifyJwt, CheckValidationError, GetDocuments);
    // doc to pdf 
    router.post('/doc-to-pdf', upload.single('input'), VerifyJwt,CheckValidationError, DocToPdfConvert);
    //delete document
    router.post('/delete-document',VerifyJwt, CheckValidationError, DeleteDocument);
}