const path = require('path')
import FriendmasterController from "../../controllers/friendmaster.controller";
import commonHelper from "../../helpers/common";
import * as FriendmasterValidation from '../../helpers/validation/friendmaster.validation';
const { GetMyFriendMessage, GetAllFriendRequest, AcceptFriendRequest, RejectFriendRequest, SendFriendRequest, RemoveFriend, GetFriends, GetFriendMessage,SendMessage,RemoveFriendMessage} = new FriendmasterController();
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new commonHelper();

module.exports = function (router) {
    //getMyFriendMessage  
    router.get('/get-my-friend-message', VerifyJwt, VerifyAccountActive, CheckValidationError, GetMyFriendMessage);
    // getAllFriendRequest
    router.get('/get-all-friend-request', VerifyJwt, VerifyAccountActive, CheckValidationError, GetAllFriendRequest);
    //accept Friend request
    router.post('/accept-friend-request', VerifyJwt, VerifyAccountActive, FriendmasterValidation['AcceptFriendRequest'],CheckValidationError, AcceptFriendRequest);
    //Reject Firend Request
    router.post('/reject-friend-request', VerifyJwt, VerifyAccountActive, FriendmasterValidation['RejectFriendRequest'],CheckValidationError, RejectFriendRequest);
    //sendFriendRequest
    router.post('/send-friend-request', VerifyJwt, VerifyAccountActive, FriendmasterValidation['SendFriendRequest'],CheckValidationError, SendFriendRequest);
    //Remove Friend
    router.post('/remove-friend', VerifyJwt, VerifyAccountActive, FriendmasterValidation['RemoveFriend'],CheckValidationError, RemoveFriend);
    //Get Firends Request
    router.get('/get-friends', VerifyJwt, VerifyAccountActive, CheckValidationError, GetFriends);
    //getFriendMessage  
    router.get('/get-friend-message', VerifyJwt, VerifyAccountActive,CheckValidationError,GetFriendMessage);
     //send message
     router.post('/send-message', VerifyJwt, VerifyAccountActive, FriendmasterValidation['SendMessage'],CheckValidationError, SendMessage);
    //remove friend message
    router.post('/remove-friend-message', VerifyJwt, VerifyAccountActive,FriendmasterValidation['RemoveFriendMessage'],CheckValidationError,  RemoveFriendMessage);
}