const path = require('path')
import PreferenceController from "../../controllers/preference.controller";
import commonHelper from "../../helpers/common";
import * as PreferenceValidation from '../../helpers/validation/preference.validation';
const { UpdateRegion, UpdateLanguageCode, TransferOwnership, UpdateEmail, UpdatePassword, UpdateName, DeleteProfile,UpdateVoicePreference,UpdateProfilePicture } = new PreferenceController();
const multer = require('multer');
const storage = multer.memoryStorage();
const upload = multer({ storage: storage });
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new commonHelper();

module.exports = function (router) {
  //Preferences region 
  router.post('/update-region', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateRegion'], CheckValidationError, UpdateRegion);
  //Preferences language code 
  router.post('/update-language', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateLanguage'], CheckValidationError, UpdateLanguageCode);
  // transferOwnership
  router.post('/transfer-ownership', VerifyJwt, VerifyAccountActive, PreferenceValidation['TransferOwnership'], CheckValidationError, TransferOwnership);
  // update name
  router.post('/update-email', VerifyJwt, VerifyAccountActive, PreferenceValidation['TransferOwnership'], CheckValidationError, UpdateEmail);
  //update password
  router.post('/update-password', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdatePassword'], CheckValidationError, UpdatePassword);
  //update name
  router.post('/update-name', VerifyJwt, VerifyAccountActive, PreferenceValidation['UpdateName'], CheckValidationError, UpdateName);
  //delete profile
  router.post('/delete-profile', VerifyJwt, CheckValidationError, DeleteProfile);
  // updateVoicePreference
  router.post('/update-voice-preference', VerifyJwt,VerifyAccountActive,PreferenceValidation['UpdateVoice'], CheckValidationError, UpdateVoicePreference);
  //Update profile picture
  router.post('/update-profile-picture',upload.single('user_profile_picture') ,VerifyJwt,VerifyAccountActive,PreferenceValidation['UpdateProfilePicture'],CheckValidationError,  UpdateProfilePicture);
}