const path = require('path')
import SubscriptionController from "../../controllers/subscription.controller";
import commonHelper from "../../helpers/common";
import * as SubscriptionValidation from '../../helpers/validation/subscription.validation';
const { AddSubscriptionPlan, GetServices, GetServiceFeatures } = new SubscriptionController();
const { CheckValidationError, VerifyJwt, VerifyAccountActive } = new commonHelper();

module.exports = function (router) {
   //add-subscription
   router.post('/add-subscription', VerifyJwt, VerifyAccountActive, SubscriptionValidation['AddSubscription'], CheckValidationError, AddSubscriptionPlan);
   // get Services
   router.get('/get-service', VerifyJwt, VerifyAccountActive, CheckValidationError, GetServices);
   // get Services feature
   router.get('/get-service-feature', VerifyJwt, VerifyAccountActive, CheckValidationError, GetServiceFeatures);
}