const path = require('path')
import UserController from "../../controllers/user.controller";
import commonHelper from "../../helpers/common";
import * as UserValidation from '../../helpers/validation/user.validation';
const { UserLogin, UserRegister, ActivateAccount,ResendActivation,ForgotPassword,ResetPassword,Logout } = new UserController();
const { CheckValidationError,VerifyJwt,CheckValidationErrorArray } = new commonHelper();

module.exports = function (router) {
    //sign up
    router.post('/signup', UserValidation['UserRegister'],CheckValidationError, UserRegister);
    //activate account
    router.post('/activate-account', CheckValidationError,ActivateAccount);
    //login
    router.post('/login', UserValidation['UserLogin'],CheckValidationErrorArray, UserLogin);
    //resend activation
    router.post('/resend-activation', UserValidation['email'],ResendActivation);
    //forgot password
    router.post('/forgot-password',UserValidation['email'],ForgotPassword);
    //reset password
    router.post('/reset-password',UserValidation['resetPassword'],ResetPassword);
    //logout
    router.post('/logout',VerifyJwt,UserValidation['UserLogout'],CheckValidationError,Logout);
}