"use strict";
const models = require('./../models/index');
import commonHelper from "../helpers/common";
import { HttpCodes } from "../helpers/responseCodes";
const { ComparePassword, CreateJwt } = new commonHelper();
export default class AdminService {
  constructor() {
    this.LoginAdmin = this.LoginAdmin.bind(this);
  }
  //login admin 
  async LoginAdmin(req, callback) {
    try {
      const { emailid, password } = req.body;
      if (!emailid) {
        return callback(null, { 'status': HttpCodes['API_FAILURE'], 'msg': 'InvalidEmail', code: HttpCodes['BAD_REQUEST'], data: [] });
      }
      let admin = await models.Admin.findOne({ where: { emailid } });
      if (admin && admin !== undefined) {
        const passwordMatch = await ComparePassword(password, admin.password);
        if (admin && passwordMatch) {
          // Generate JWT token and return it
          const token = await CreateJwt({ admin_id: admin.admin_id });
          return callback(null, { 'status': HttpCodes['API_SUCCESS'], 'msg': 'Login', code: HttpCodes['OK'], data: { token } });
        } else {
          return callback(null, { 'status': HttpCodes['API_FAILURE'], 'msg': 'LoginInvalidValue', code: HttpCodes['UNAUTHORIZED'], data: [] });
        }
      } else {
        return callback(null, { 'status': HttpCodes['API_FAILURE'], 'msg': 'EmailNotRegister', code: HttpCodes['UNAUTHORIZED'], data: [] });
      }
    } catch (error) {
      console.log(error.message, "Login");
      return callback(null, { 'status': HttpCodes['API_FAILURE'], 'msg': 'LoginFailed', code: HttpCodes['BAD_REQUEST'], data: [] });
    }
  }
}
