import swPaths from './paths';
import swDefinitions from './definitions';
const { paths } = new swPaths();
const { definitions } = new swDefinitions();

let host = 'localhost:' + process.env.PORT

if (process.env.NODE_ENV != 'local') {
  host = process.env.HOST;
}

module.exports = {
  "swagger": "2.0",
  "info": {
    "title": "Mymanu",
    "version": "1.0.0",
    //   "description": "Secret Key : - "+process.env.APISECRETKEY+" \n\n" +
    //   "Private Key : - "+process.env.APIPRIVATEKEY
  },
  "host": host,
  "basePath": "/api",
  "paths": paths,
  "definitions": definitions,
  "responses": {},
  "parameters": {},
  "securityDefinitions": {
    apiKeyAuth: {
      type: "apiKey",
      description: "Enter the token with the `Bearer: ` prefix, e.g. 'Bearer abcde12345'.",
      name: "Authorization",
      in: "header"
    },
    deviceToken: {
      type: "apiKey",
      description: " Enter device token",
      name: "device_token",
      in: "header"
    },
    applicationType: {
      description: "enter application type",
      name: "application_type",
      in: "header",
      required: true, // Set it as required if needed
      type: "apiKey",
    },
    lang: {
      type: "apiKey",
      description: " Enter lang type",
      name: "lang",
      in: "header"
    },
  },
  "tags": []
}
